searchData={"items":[{"type":"module","title":"PineUiPhoenix","doc":"# Pine UI 🌲\n\nPine UI is a comprehensive collection of UI components for Phoenix applications,\nbuilt with AlpineJS and TailwindCSS. The library provides interactive, accessible,\nand customizable components to speed up development of modern web interfaces.","ref":"PineUiPhoenix.html"},{"type":"module","title":"Installation - PineUiPhoenix","doc":"Add Pine UI to your `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:pine_ui_phoenix, \"~> 0.1.0\"}\n  ]\nend\n```\n\nAfter running `mix deps.get`, make sure your project includes:\n\n1. **TailwindCSS** - For component styling\n2. **AlpineJS** - For component interactivity","ref":"PineUiPhoenix.html#module-installation"},{"type":"module","title":"Component Categories - PineUiPhoenix","doc":"Pine UI offers components organized in the following categories:","ref":"PineUiPhoenix.html#module-component-categories"},{"type":"module","title":"Text & Animation - PineUiPhoenix","doc":"- `typing_effect/1` - Creates a typing animation with multiple text items\n- `text_animation_blow/1` - Letter-by-letter animation that scales in\n- `text_animation_fade/1` - Letter-by-letter fade-in animation","ref":"PineUiPhoenix.html#module-text-animation"},{"type":"module","title":"Interactive Elements - PineUiPhoenix","doc":"- `tooltip/1` - Interactive tooltip with different positions\n- `button_primary/1`, `button_secondary/1`, `button_danger/1` - Button variants with loading states","ref":"PineUiPhoenix.html#module-interactive-elements"},{"type":"module","title":"Content Organization - PineUiPhoenix","doc":"- `card/1` - Basic card component for content organization\n- `card_interactive/1` - Interactive card with hover effects\n- `card_collapsible/1` - Collapsible card for expandable content","ref":"PineUiPhoenix.html#module-content-organization"},{"type":"module","title":"Form Elements - PineUiPhoenix","doc":"- `text_input/1` - Basic text input component\n- `text_input_with_icon/1` - Text input with icon\n- `textarea/1` - Multiline text input component\n- `select/1` - Basic select dropdown component\n- `select_grouped/1` - Select dropdown with option groups\n- `select_searchable/1` - Searchable select dropdown with filtering","ref":"PineUiPhoenix.html#module-form-elements"},{"type":"module","title":"Status Indicators - PineUiPhoenix","doc":"- `badge/1` - Simple badge component with various colors\n- `badge_dot/1` - Badge with dot indicator\n- `badge_dismissible/1` - Badge that can be dismissed/removed","ref":"PineUiPhoenix.html#module-status-indicators"},{"type":"module","title":"Basic Usage - PineUiPhoenix","doc":"```heex\n \n   \n\n   \n     Pine UI makes it easy to build interactive Phoenix applications. \n\n     \n       \n        Get Started\n       \n\n       \n        Documentation\n       \n     \n   \n\n   \n \n```","ref":"PineUiPhoenix.html#module-basic-usage"},{"type":"module","title":"Component Design Philosophy - PineUiPhoenix","doc":"Pine UI components follow these principles:\n\n1. **Progressive Enhancement** - Components work without JavaScript but provide enhanced experiences when it's available\n2. **Accessibility Built-in** - ARIA attributes and keyboard navigation included by default\n3. **Tailwind-first** - Styled with TailwindCSS for easy customization and consistency\n4. **Alpine-powered** - Interactive behaviors handled by AlpineJS for minimal overhead\n5. **Phoenix-friendly** - Designed to work seamlessly with Phoenix and LiveView","ref":"PineUiPhoenix.html#module-component-design-philosophy"},{"type":"module","title":"Customization - PineUiPhoenix","doc":"Each component accepts class names that can be used to customize the appearance.\nCommon parameters include:\n\n- `:class` - Additional CSS classes for the main element\n- `:container_class` - CSS classes for the container element\n- `:variant` - For components with multiple style variants (success, warning, etc.)","ref":"PineUiPhoenix.html#module-customization"},{"type":"module","title":"Accessibility - PineUiPhoenix","doc":"Pine UI components are designed with accessibility in mind, following WCAG guidelines.\nComponents include appropriate ARIA roles, states, and properties where applicable.","ref":"PineUiPhoenix.html#module-accessibility"},{"type":"function","title":"PineUiPhoenix.accordion_group/1","doc":"Renders a group of accordion items where only one can be open at a time.\n\nThis component is useful for organizing related content into multiple\nexpandable sections, where opening one section automatically closes\nthe others.","ref":"PineUiPhoenix.html#accordion_group/1"},{"type":"function","title":"Examples - PineUiPhoenix.accordion_group/1","doc":"<.accordion_group>\n      <:item title=\"Section 1\">\n         Content for section 1 \n      </:item>\n      <:item title=\"Section 2\">\n         Content for section 2 \n      </:item>\n      <:item title=\"Section 3\" active={true}>\n         This section is open by default \n      </:item>\n    </.accordion_group>","ref":"PineUiPhoenix.html#accordion_group/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.accordion_group/1","doc":"* `:class` - Additional CSS classes for the accordion group container (optional)\n* `:item_class` - Additional CSS classes applied to each accordion item (optional)\n* `:header_class` - Additional CSS classes for each item header (optional)\n* `:content_class` - Additional CSS classes for each item content (optional)\n* `:item` - Item slots with the following attributes:\n  * `:title` - Item header text (required)\n  * `:subtitle` - Optional subheading text below the title (optional)\n  * `:active` - Whether this item is expanded initially (optional, default to false)","ref":"PineUiPhoenix.html#accordion_group/1-options"},{"type":"function","title":"PineUiPhoenix.accordion_item/1","doc":"Renders an accordion item with a toggle to expand/collapse content.\n\nThis component provides a simple way to implement expandable/collapsible content.\nIt's particularly useful for FAQs, product details, or any content that needs\nto be organized in a space-efficient manner.","ref":"PineUiPhoenix.html#accordion_item/1"},{"type":"function","title":"Examples - PineUiPhoenix.accordion_item/1","doc":"<.accordion_item title=\"How does shipping work?\">\n       We ship to all 50 states within 3-5 business days. \n    </.accordion_item>\n\n    <.accordion_item\n      title=\"Product Specifications\"\n      subtitle=\"Technical details about this product\"\n      open={true}\n    >\n       \n         Dimension: 10\" x 8\" x 2\" \n         Weight: 1.5 lbs \n         Material: Aircraft-grade aluminum \n       \n    </.accordion_item>","ref":"PineUiPhoenix.html#accordion_item/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.accordion_item/1","doc":"* `:title` - The title displayed in the accordion header (required)\n* `:subtitle` - Optional subtitle displayed below the title (optional)\n* `:open` - Whether the accordion is expanded initially (optional, defaults to false)\n* `:class` - Additional CSS classes for the accordion container (optional)\n* `:header_class` - Additional CSS classes for the header section (optional)\n* `:content_class` - Additional CSS classes for the content section (optional)","ref":"PineUiPhoenix.html#accordion_item/1-options"},{"type":"function","title":"PineUiPhoenix.badge/1","doc":"Renders a badge component.\n\n This component creates a simple badge with customizable colors.","ref":"PineUiPhoenix.html#badge/1"},{"type":"function","title":"Examples - PineUiPhoenix.badge/1","doc":"<.badge variant=\"success\">\n      Completed\n    </.badge>\n\n    <.badge variant=\"warning\" class=\"ml-2\">\n      Pending\n    </.badge>","ref":"PineUiPhoenix.html#badge/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.badge/1","doc":"* `:variant` - Color variant: \"success\", \"warning\", \"danger\", \"info\", \"purple\", \"pink\", \"indigo\", or \"default\" (gray)\n* `:class` - Additional CSS classes (optional)\n* `:icon` - HTML string for an icon to display before text (optional)","ref":"PineUiPhoenix.html#badge/1-options"},{"type":"function","title":"PineUiPhoenix.badge_dismissible/1","doc":"Renders a dismissible badge.\n\n This component creates a badge that can be removed/dismissed with a click.\nUses AlpineJS for the dismissal functionality.","ref":"PineUiPhoenix.html#badge_dismissible/1"},{"type":"function","title":"Examples - PineUiPhoenix.badge_dismissible/1","doc":"<.badge_dismissible variant=\"info\">\n      New Feature\n    </.badge_dismissible>\n\n    <.badge_dismissible variant=\"purple\" class=\"ml-2\">\n      Beta\n    </.badge_dismissible>","ref":"PineUiPhoenix.html#badge_dismissible/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.badge_dismissible/1","doc":"* `:variant` - Color variant: \"success\", \"warning\", \"danger\", \"info\", \"purple\", \"pink\", \"indigo\", or \"default\" (gray)\n* `:class` - Additional CSS classes (optional)","ref":"PineUiPhoenix.html#badge_dismissible/1-options"},{"type":"function","title":"PineUiPhoenix.badge_dot/1","doc":"Renders a badge with a status dot.\n\n This component creates a badge with a colored status dot at the beginning.","ref":"PineUiPhoenix.html#badge_dot/1"},{"type":"function","title":"Examples - PineUiPhoenix.badge_dot/1","doc":"<.badge_dot variant=\"success\">\n      Active\n    </.badge_dot>\n\n    <.badge_dot variant=\"danger\" class=\"ml-2\">\n      Offline\n    </.badge_dot>","ref":"PineUiPhoenix.html#badge_dot/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.badge_dot/1","doc":"* `:variant` - Color variant: \"success\", \"warning\", \"danger\", \"info\", \"purple\", \"pink\", \"indigo\", or \"default\" (gray)\n* `:class` - Additional CSS classes (optional)","ref":"PineUiPhoenix.html#badge_dot/1-options"},{"type":"function","title":"PineUiPhoenix.button_danger/1","doc":"Renders a danger button component with optional loading state.\n\n This component creates a danger/warning action button that can display a loading spinner\nand supports LiveView click events.","ref":"PineUiPhoenix.html#button_danger/1"},{"type":"function","title":"Examples - PineUiPhoenix.button_danger/1","doc":"<.button_danger phx_click=\"delete\" phx_value_id={@item.id}>\n      Delete Item\n    </.button_danger>\n\n    <.button_danger loading={@deleting} class=\"mt-4\">\n      Permanently Delete\n    </.button_danger>","ref":"PineUiPhoenix.html#button_danger/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.button_danger/1","doc":"* `:type` - Button type attribute (optional, defaults to \"button\")\n* `:class` - Additional CSS classes (optional)\n* `:disabled` - Whether the button is disabled (optional, defaults to false)\n* `:loading` - Whether to show loading state (optional, defaults to false)\n* `:icon` - HTML string for an icon to display before text (optional)\n* `:phx_click` - The LiveView click event to trigger (optional)\n* `:phx_value_id` - The id value to pass with the event (optional)\n* `:phx_target` - The LiveView target for the event (optional)","ref":"PineUiPhoenix.html#button_danger/1-options"},{"type":"function","title":"PineUiPhoenix.button_primary/1","doc":"Renders a primary button component with optional loading state.\n\n This component creates a primary action button that can display a loading spinner\nand supports LiveView click events.","ref":"PineUiPhoenix.html#button_primary/1"},{"type":"function","title":"Examples - PineUiPhoenix.button_primary/1","doc":"<.button_primary phx_click=\"save\">\n      Save Changes\n    </.button_primary>\n\n    <.button_primary loading={@saving} disabled={@form_invalid} class=\"w-full\">\n      Submit Form\n    </.button_primary>","ref":"PineUiPhoenix.html#button_primary/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.button_primary/1","doc":"* `:type` - Button type attribute (optional, defaults to \"button\")\n* `:class` - Additional CSS classes (optional)\n* `:disabled` - Whether the button is disabled (optional, defaults to false)\n* `:loading` - Whether to show loading state (optional, defaults to false)\n* `:icon` - HTML string for an icon to display before text (optional)\n* `:phx_click` - The LiveView click event to trigger (optional)\n* `:phx_value_id` - The id value to pass with the event (optional)\n* `:phx_target` - The LiveView target for the event (optional)","ref":"PineUiPhoenix.html#button_primary/1-options"},{"type":"function","title":"PineUiPhoenix.button_secondary/1","doc":"Renders a secondary button component with optional loading state.\n\n This component creates a secondary action button that can display a loading spinner\nand supports LiveView click events.","ref":"PineUiPhoenix.html#button_secondary/1"},{"type":"function","title":"Examples - PineUiPhoenix.button_secondary/1","doc":"<.button_secondary phx_click=\"cancel\">\n      Cancel\n    </.button_secondary>\n\n    <.button_secondary loading={@loading} class=\"mt-2\">\n      View Details\n    </.button_secondary>","ref":"PineUiPhoenix.html#button_secondary/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.button_secondary/1","doc":"* `:type` - Button type attribute (optional, defaults to \"button\")\n* `:class` - Additional CSS classes (optional)\n* `:disabled` - Whether the button is disabled (optional, defaults to false)\n* `:loading` - Whether to show loading state (optional, defaults to false)\n* `:icon` - HTML string for an icon to display before text (optional)\n* `:phx_click` - The LiveView click event to trigger (optional)\n* `:phx_value_id` - The id value to pass with the event (optional)\n* `:phx_target` - The LiveView target for the event (optional)","ref":"PineUiPhoenix.html#button_secondary/1-options"},{"type":"function","title":"PineUiPhoenix.card/1","doc":"Renders a basic card component.\n\n This component creates a simple card container with optional title, subtitle, and footer.","ref":"PineUiPhoenix.html#card/1"},{"type":"function","title":"Examples - PineUiPhoenix.card/1","doc":"<.card title=\"User Profile\" subtitle=\"Personal information\">\n       Card content goes here \n    </.card>\n\n    <.card class=\"mt-4\" footer=\"Last updated: Yesterday\">\n       \n         Multiple paragraphs can go here \n         With any content structure \n       \n    </.card>","ref":"PineUiPhoenix.html#card/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.card/1","doc":"* `:title` - Card title text (optional)\n* `:subtitle` - Card subtitle text (optional)\n* `:footer` - Footer content (optional)\n* `:padded` - Whether to add padding to the body (optional, defaults to true)\n* `:class` - Additional CSS classes for the card container (optional)","ref":"PineUiPhoenix.html#card/1-options"},{"type":"function","title":"PineUiPhoenix.card_collapsible/1","doc":"Renders a collapsible card component.\n\n This component creates a card that can be expanded/collapsed when clicked.","ref":"PineUiPhoenix.html#card_collapsible/1"},{"type":"function","title":"Examples - PineUiPhoenix.card_collapsible/1","doc":"<.card_collapsible title=\"Click to expand\" open={true}>\n       This content can be hidden or shown \n    </.card_collapsible>","ref":"PineUiPhoenix.html#card_collapsible/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.card_collapsible/1","doc":"* `:title` - Card title text (optional)\n* `:subtitle` - Card subtitle text (optional)\n* `:footer` - Footer content (optional)\n* `:padded` - Whether to add padding to the body (optional, defaults to true)\n* `:open` - Whether the card is expanded on initial render (optional, defaults to false)\n* `:class` - Additional CSS classes for the card container (optional)","ref":"PineUiPhoenix.html#card_collapsible/1-options"},{"type":"function","title":"PineUiPhoenix.card_interactive/1","doc":"Renders an interactive card component with hover effects.\n\n This component creates a card that responds to hover with subtle animation.","ref":"PineUiPhoenix.html#card_interactive/1"},{"type":"function","title":"Examples - PineUiPhoenix.card_interactive/1","doc":"<.card_interactive title=\"Hover me\">\n       This card has hover effects \n    </.card_interactive>","ref":"PineUiPhoenix.html#card_interactive/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.card_interactive/1","doc":"* `:title` - Card title text (optional)\n* `:subtitle` - Card subtitle text (optional)\n* `:footer` - Footer content (optional)\n* `:padded` - Whether to add padding to the body (optional, defaults to true)\n* `:class` - Additional CSS classes for the card container (optional)","ref":"PineUiPhoenix.html#card_interactive/1-options"},{"type":"function","title":"PineUiPhoenix.context_menu/1","doc":"Renders a contextual menu.\n\nThis component creates a dropdown menu that appears at the cursor position\nwhen triggered, ideal for context or right-click menus.","ref":"PineUiPhoenix.html#context_menu/1"},{"type":"function","title":"Examples - PineUiPhoenix.context_menu/1","doc":"<.context_menu id=\"context-menu\">\n      <:item on_click=\"edit\">Edit</:item>\n      <:item on_click=\"copy\">Copy</:item>\n      <:item on_click=\"delete\" class=\"text-red-600\">Delete</:item>\n    </.context_menu>\n\n     \n      Right-click me","ref":"PineUiPhoenix.html#context_menu/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.context_menu/1","doc":"* `:id` - Unique identifier for the context menu (required)\n* `:width` - Menu width: \"auto\", \"sm\", \"md\", \"lg\" (optional, defaults to \"auto\")\n* `:menu_class` - CSS classes for the context menu (optional)\n* `:item` - Menu item slots with the following attributes:\n  * `:href` - URL for link items (either this or on_click is typically provided)\n  * `:on_click` - Click event name for button items (either this or href is typically provided)\n  * `:icon` - Icon markup for the menu item (optional)\n  * `:class` - CSS classes for the item (optional)\n  * `:disabled` - Whether the item is disabled (optional, defaults to false)\n* `:divider` - Slot for menu divider lines (no attributes required)","ref":"PineUiPhoenix.html#context_menu/1-options"},{"type":"function","title":"PineUiPhoenix.data_table/1","doc":"Renders a data table component.\n\nThis component creates a table for displaying tabular data with\noptional sorting, filtering, and pagination.","ref":"PineUiPhoenix.html#data_table/1"},{"type":"function","title":"Examples - PineUiPhoenix.data_table/1","doc":"<.data_table\n      id=\"users-table\"\n      columns={[\n        %{key: \"name\", label: \"Name\", sortable: true},\n        %{key: \"email\", label: \"Email\"},\n        %{key: \"role\", label: \"Role\", filterable: true}\n      ]}\n      data={@users}\n    />\n\n    <.data_table\n      id=\"products-table\"\n      columns={@columns}\n      data={@products}\n      sortable={true}\n      filterable={true}\n      paginate={true}\n      per_page={10}\n    />","ref":"PineUiPhoenix.html#data_table/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.data_table/1","doc":"* `:id` - Unique identifier for the table (required)\n* `:columns` - List of column configuration maps (required)\n* `:data` - List of data items to display in the table (required)\n* `:sortable` - Whether sorting is enabled globally (optional, defaults to false)\n* `:filterable` - Whether filtering is enabled globally (optional, defaults to false)\n* `:paginate` - Whether pagination is enabled (optional, defaults to false)\n* `:per_page` - Number of items per page when pagination is enabled (optional, defaults to 10)\n* `:selectable` - Whether rows can be selected with checkboxes (optional, defaults to false)\n* `:class` - Additional CSS classes for the table container (optional)\n* `:table_class` - CSS classes for the table element (optional)\n* `:empty_state` - Content to display when there are no rows to show (optional)\n* `:row_click` - Event name or function to call when a row is clicked (optional)\n* `:on_selection_change` - Event name or function to call when selection changes (optional)","ref":"PineUiPhoenix.html#data_table/1-options"},{"type":"function","title":"PineUiPhoenix.data_table_expandable/1","doc":"Renders a data table with expandable rows.\n\nThis component creates a table where rows can be expanded to show additional details.","ref":"PineUiPhoenix.html#data_table_expandable/1"},{"type":"function","title":"Examples - PineUiPhoenix.data_table_expandable/1","doc":"<.data_table_expandable\n      id=\"orders-table\"\n      columns={[\n        %{key: \"order_id\", label: \"Order ID\"},\n        %{key: \"customer\", label: \"Customer\"},\n        %{key: \"date\", label: \"Date\"},\n        %{key: \"status\", label: \"Status\"}\n      ]}\n      data={@orders}\n    >\n      <:expanded_row :let={row}>\n         \n           Order Details \n           Items: <%= row.items.length %> \n           Total: $<%= row.total %> \n         \n      </:expanded_row>\n    </.data_table_expandable>","ref":"PineUiPhoenix.html#data_table_expandable/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.data_table_expandable/1","doc":"* `:id` - Unique identifier for the table (required)\n* `:columns` - List of column configuration maps (required)\n* `:data` - List of data items to display in the table (required)\n* `:sortable` - Whether sorting is enabled globally (optional, defaults to false)\n* `:filterable` - Whether filtering is enabled globally (optional, defaults to false)\n* `:paginate` - Whether pagination is enabled (optional, defaults to false)\n* `:per_page` - Number of items per page when pagination is enabled (optional, defaults to 10)\n* `:class` - Additional CSS classes for the table container (optional)\n* `:table_class` - CSS classes for the table element (optional)\n* `:empty_state` - Content to display when there are no rows to show (optional)\n* `:expanded_row` - Slot for customizing the expanded row content (required)","ref":"PineUiPhoenix.html#data_table_expandable/1-options"},{"type":"function","title":"PineUiPhoenix.date_picker/1","doc":"Renders a date picker component.\n\nThis component creates a date picker for selecting a single date.","ref":"PineUiPhoenix.html#date_picker/1"},{"type":"function","title":"Examples - PineUiPhoenix.date_picker/1","doc":"<.date_picker\n      id=\"event-date\"\n      name=\"event[date]\"\n      label=\"Event Date\"\n    />\n\n    <.date_picker\n      id=\"appointment-date\"\n      name=\"appointment[date]\"\n      label=\"Appointment Date\"\n      min=\"2023-01-01\"\n      max=\"2023-12-31\"\n      format=\"MM/DD/YYYY\"\n      value=\"2023-06-15\"\n    />","ref":"PineUiPhoenix.html#date_picker/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.date_picker/1","doc":"* `:id` - The ID for the input element (required)\n* `:name` - The name attribute for the input (optional, defaults to ID)\n* `:label` - Label text for the input (optional)\n* `:value` - Current date value in ISO format (YYYY-MM-DD) (optional)\n* `:min` - Minimum selectable date in ISO format (optional)\n* `:max` - Maximum selectable date in ISO format (optional)\n* `:format` - Date display format: \"YYYY-MM-DD\", \"MM/DD/YYYY\", \"DD/MM/YYYY\" (optional, defaults to \"YYYY-MM-DD\")\n* `:placeholder` - Placeholder text when no date is selected (optional)\n* `:hint` - Help text displayed below the input (optional)\n* `:error` - Error message displayed below the input (optional)\n* `:disabled` - Whether the input is disabled (optional, defaults to false)\n* `:required` - Whether the input is required (optional, defaults to false)\n* `:class` - Additional CSS classes for the container (optional)\n* `:input_class` - CSS classes for the input element (optional)\n* `:calendar_class` - CSS classes for the calendar dropdown (optional)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)","ref":"PineUiPhoenix.html#date_picker/1-options"},{"type":"function","title":"PineUiPhoenix.date_range_picker/1","doc":"Renders a date range picker component.\n\nThis component creates a date picker for selecting a start and end date range.","ref":"PineUiPhoenix.html#date_range_picker/1"},{"type":"function","title":"Examples - PineUiPhoenix.date_range_picker/1","doc":"<.date_range_picker\n      id=\"date-range\"\n      name_start=\"start_date\"\n      name_end=\"end_date\"\n      label=\"Date Range\"\n    />\n\n    <.date_range_picker\n      id=\"booking\"\n      name_start=\"booking[start_date]\"\n      name_end=\"booking[end_date]\"\n      label=\"Booking Period\"\n      value_start=\"2023-06-15\"\n      value_end=\"2023-06-30\"\n      min=\"2023-01-01\"\n      max=\"2023-12-31\"\n    />","ref":"PineUiPhoenix.html#date_range_picker/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.date_range_picker/1","doc":"* `:id` - The ID prefix for the input elements (required)\n* `:name_start` - The name attribute for the start date input (required)\n* `:name_end` - The name attribute for the end date input (required)\n* `:label` - Label text for the input (optional)\n* `:value_start` - Current start date value in ISO format (optional)\n* `:value_end` - Current end date value in ISO format (optional)\n* `:min` - Minimum selectable date in ISO format (optional)\n* `:max` - Maximum selectable date in ISO format (optional)\n* `:format` - Date display format: \"YYYY-MM-DD\", \"MM/DD/YYYY\", \"DD/MM/YYYY\" (optional, defaults to \"YYYY-MM-DD\")\n* `:placeholder_start` - Placeholder text for start date input (optional)\n* `:placeholder_end` - Placeholder text for end date input (optional)\n* `:hint` - Help text displayed below the input (optional)\n* `:error` - Error message displayed below the input (optional)\n* `:disabled` - Whether the inputs are disabled (optional, defaults to false)\n* `:required` - Whether the inputs are required (optional, defaults to false)\n* `:class` - Additional CSS classes for the container (optional)\n* `:input_class` - CSS classes for the input elements (optional)\n* `:calendar_class` - CSS classes for the calendar dropdown (optional)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)","ref":"PineUiPhoenix.html#date_range_picker/1-options"},{"type":"function","title":"PineUiPhoenix.dropdown/1","doc":"Renders a dropdown menu component.\n\nThis component creates a dropdown menu that appears when a trigger button\nis clicked. The menu can contain links, buttons, or other elements.","ref":"PineUiPhoenix.html#dropdown/1"},{"type":"function","title":"Examples - PineUiPhoenix.dropdown/1","doc":"<.dropdown id=\"user-menu\" label=\"Options\">\n      <:item href=\"/profile\">Profile</:item>\n      <:item href=\"/settings\">Settings</:item>\n      <:divider />\n      <:item href=\"/logout\" class=\"text-red-600\">Log out</:item>\n    </.dropdown>\n\n    <.dropdown id=\"actions-menu\" icon={~H\" ... \"}>\n      <:item on_click=\"edit\">Edit</:item>\n      <:item on_click=\"duplicate\">Duplicate</:item>\n      <:divider />\n      <:item on_click=\"delete\" class=\"text-red-600\">Delete</:item>\n    </.dropdown>","ref":"PineUiPhoenix.html#dropdown/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.dropdown/1","doc":"* `:id` - Unique identifier for the dropdown (required)\n* `:label` - Text for the trigger button (either this or icon is required)\n* `:icon` - Icon markup for the trigger button (either this or label is required)\n* `:position` - Menu position: \"bottom-left\", \"bottom-right\", \"top-left\", \"top-right\" (optional, defaults to \"bottom-left\")\n* `:width` - Menu width: \"auto\", \"sm\", \"md\", \"lg\" (optional, defaults to \"auto\")\n* `:button_class` - CSS classes for the trigger button (optional)\n* `:menu_class` - CSS classes for the dropdown menu (optional)\n* `:item` - Menu item slots with the following attributes:\n  * `:href` - URL for link items (either this or on_click is typically provided)\n  * `:on_click` - Click event name for button items (either this or href is typically provided)\n  * `:class` - CSS classes for the item (optional)\n  * `:disabled` - Whether the item is disabled (optional, defaults to false)\n* `:divider` - Slot for menu divider lines (no attributes required)","ref":"PineUiPhoenix.html#dropdown/1-options"},{"type":"function","title":"PineUiPhoenix.dropdown_with_icons/1","doc":"Renders a dropdown menu with item icons.\n\nThis component creates a dropdown menu with icon support for menu items.","ref":"PineUiPhoenix.html#dropdown_with_icons/1"},{"type":"function","title":"Examples - PineUiPhoenix.dropdown_with_icons/1","doc":"<.dropdown_with_icons id=\"file-menu\" label=\"File\">\n      <:item\n        href=\"#\"\n        icon={~H\" \n           \n         \"}\n      >\n        New Document\n      </:item>\n      <:divider />\n      <:item\n        href=\"#\"\n        icon={~H\" \n           \n         \"}\n      >\n        Save\n      </:item>\n    </.dropdown_with_icons>","ref":"PineUiPhoenix.html#dropdown_with_icons/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.dropdown_with_icons/1","doc":"* `:id` - Unique identifier for the dropdown (required)\n* `:label` - Text for the trigger button (either this or icon is required)\n* `:icon` - Icon markup for the trigger button (either this or label is required)\n* `:position` - Menu position: \"bottom-left\", \"bottom-right\", \"top-left\", \"top-right\" (optional, defaults to \"bottom-left\")\n* `:width` - Menu width: \"auto\", \"sm\", \"md\", \"lg\" (optional, defaults to \"auto\")\n* `:button_class` - CSS classes for the trigger button (optional)\n* `:menu_class` - CSS classes for the dropdown menu (optional)\n* `:item` - Menu item slots with the following attributes:\n  * `:href` - URL for link items (either this or on_click is typically provided)\n  * `:on_click` - Click event name for button items (either this or href is typically provided)\n  * `:icon` - Icon markup for the menu item (optional)\n  * `:class` - CSS classes for the item (optional)\n  * `:disabled` - Whether the item is disabled (optional, defaults to false)\n* `:divider` - Slot for menu divider lines (no attributes required)","ref":"PineUiPhoenix.html#dropdown_with_icons/1-options"},{"type":"function","title":"PineUiPhoenix.file_uploader/1","doc":"Renders a file uploader component with drag-and-drop functionality.\n\nThis component creates a file upload area that allows users to select files\neither by clicking or by dragging and dropping them.","ref":"PineUiPhoenix.html#file_uploader/1"},{"type":"function","title":"Examples - PineUiPhoenix.file_uploader/1","doc":"<.file_uploader\n      id=\"document-upload\"\n      name=\"document\"\n      label=\"Upload Document\"\n      accept=\".pdf,.doc,.docx\"\n    />\n\n    <.file_uploader\n      id=\"profile-image\"\n      name=\"profile_image\"\n      label=\"Upload Profile Image\"\n      accept=\"image/*\"\n      max_file_size={5 * 1024 * 1024}\n      show_preview={true}\n    />","ref":"PineUiPhoenix.html#file_uploader/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.file_uploader/1","doc":"* `:id` - The ID for the file input (required)\n* `:name` - The name attribute for the file input (optional, defaults to ID)\n* `:label` - Label text for the uploader (optional)\n* `:accept` - Comma-separated list of allowed file types (optional)\n* `:max_file_size` - Maximum file size in bytes (optional)\n* `:multiple` - Whether to allow multiple file selection (optional, defaults to false)\n* `:show_preview` - Whether to show file previews (optional, defaults to false for multiple files, true for single files)\n* `:class` - Additional CSS classes for the uploader container (optional)\n* `:on_change` - JavaScript function to call when files change (optional)","ref":"PineUiPhoenix.html#file_uploader/1-options"},{"type":"function","title":"PineUiPhoenix.image_carousel/1","doc":"Renders a carousel gallery component.\n\nThis component creates a slideshow carousel for displaying images.","ref":"PineUiPhoenix.html#image_carousel/1"},{"type":"function","title":"Examples - PineUiPhoenix.image_carousel/1","doc":"<.image_carousel\n      images={[\n        %{src: \"/images/photo1.jpg\", alt: \"Photo 1\"},\n        %{src: \"/images/photo2.jpg\", alt: \"Photo 2\"},\n        %{src: \"/images/photo3.jpg\", alt: \"Photo 3\"}\n      ]}\n    />\n\n    <.image_carousel\n      images={@photos}\n      autoplay={true}\n      autoplay_speed={3000}\n      show_thumbnails={true}\n    />","ref":"PineUiPhoenix.html#image_carousel/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.image_carousel/1","doc":"* `:images` - List of image maps with src and alt keys (required)\n* `:aspect_ratio` - Image aspect ratio: \"square\", \"video\", \"portrait\" (optional, defaults to \"video\")\n* `:rounded` - Whether to round image corners (optional, defaults to true)\n* `:show_indicators` - Whether to show slide indicators (optional, defaults to true)\n* `:show_arrows` - Whether to show navigation arrows (optional, defaults to true)\n* `:show_thumbnails` - Whether to show thumbnail navigation (optional, defaults to false)\n* `:autoplay` - Whether to autoplay the carousel (optional, defaults to false)\n* `:autoplay_speed` - Autoplay speed in milliseconds (optional, defaults to 5000)\n* `:class` - Additional CSS classes for the carousel container (optional)\n* `:image_class` - CSS classes for the images (optional)","ref":"PineUiPhoenix.html#image_carousel/1-options"},{"type":"function","title":"PineUiPhoenix.image_gallery/1","doc":"Renders a grid gallery component.\n\nThis component creates a responsive grid layout for displaying multiple images.","ref":"PineUiPhoenix.html#image_gallery/1"},{"type":"function","title":"Examples - PineUiPhoenix.image_gallery/1","doc":"<.image_gallery\n      images={[\n        %{src: \"/images/photo1.jpg\", alt: \"Photo 1\"},\n        %{src: \"/images/photo2.jpg\", alt: \"Photo 2\"},\n        %{src: \"/images/photo3.jpg\", alt: \"Photo 3\"}\n      ]}\n    />\n\n    <.image_gallery\n      images={@photos}\n      columns={3}\n      gap=\"4\"\n      enable_lightbox={true}\n    />","ref":"PineUiPhoenix.html#image_gallery/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.image_gallery/1","doc":"* `:images` - List of image maps with src and alt keys (required)\n* `:columns` - Number of columns in the grid: 1, 2, 3, 4, 5, 6 (optional, defaults to 3)\n* `:gap` - Gap size between grid items: \"1\", \"2\", \"4\", \"6\", \"8\" (optional, defaults to \"4\")\n* `:aspect_ratio` - Image aspect ratio: \"square\", \"video\", \"portrait\" (optional, defaults to \"square\")\n* `:rounded` - Whether to round image corners (optional, defaults to true)\n* `:enable_lightbox` - Whether to enable lightbox preview (optional, defaults to false)\n* `:class` - Additional CSS classes for the gallery container (optional)\n* `:image_class` - CSS classes for the images (optional)","ref":"PineUiPhoenix.html#image_gallery/1-options"},{"type":"function","title":"PineUiPhoenix.image_gallery_masonry/1","doc":"Renders a masonry gallery component.\n\nThis component creates a masonry layout for displaying images of varying heights.","ref":"PineUiPhoenix.html#image_gallery_masonry/1"},{"type":"function","title":"Examples - PineUiPhoenix.image_gallery_masonry/1","doc":"<.image_gallery_masonry\n      images={[\n        %{src: \"/images/photo1.jpg\", alt: \"Photo 1\", height: \"md\"},\n        %{src: \"/images/photo2.jpg\", alt: \"Photo 2\", height: \"lg\"},\n        %{src: \"/images/photo3.jpg\", alt: \"Photo 3\", height: \"sm\"}\n      ]}\n    />","ref":"PineUiPhoenix.html#image_gallery_masonry/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.image_gallery_masonry/1","doc":"* `:images` - List of image maps with src, alt, and optional height keys (required)\n* `:columns` - Number of columns in the layout: 1, 2, 3, 4 (optional, defaults to 3)\n* `:gap` - Gap size between items: \"1\", \"2\", \"4\", \"6\", \"8\" (optional, defaults to \"4\")\n* `:rounded` - Whether to round image corners (optional, defaults to true)\n* `:enable_lightbox` - Whether to enable lightbox preview (optional, defaults to false)\n* `:class` - Additional CSS classes for the gallery container (optional)\n* `:image_class` - CSS classes for the images (optional)","ref":"PineUiPhoenix.html#image_gallery_masonry/1-options"},{"type":"function","title":"PineUiPhoenix.image_uploader/1","doc":"Renders an image uploader component with preview and optional cropping.\n\nThis component creates an uploader specifically for images with\nbuilt-in preview and optional cropping functionality.","ref":"PineUiPhoenix.html#image_uploader/1"},{"type":"function","title":"Examples - PineUiPhoenix.image_uploader/1","doc":"<.image_uploader\n      id=\"avatar-upload\"\n      name=\"avatar\"\n      label=\"Upload Avatar\"\n    />\n\n    <.image_uploader\n      id=\"cover-photo\"\n      name=\"cover_photo\"\n      label=\"Cover Photo\"\n      aspect_ratio={16/9}\n      allow_cropping={true}\n      preview_height=\"10rem\"\n    />","ref":"PineUiPhoenix.html#image_uploader/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.image_uploader/1","doc":"* `:id` - The ID for the file input (required)\n* `:name` - The name attribute for the file input (optional, defaults to ID)\n* `:label` - Label text for the uploader (optional)\n* `:accept` - Comma-separated list of allowed image types (optional, defaults to \"image/*\")\n* `:max_file_size` - Maximum file size in bytes (optional)\n* `:aspect_ratio` - Fixed aspect ratio for the image (optional)\n* `:allow_cropping` - Whether to enable image cropping (optional, defaults to false)\n* `:preview_height` - Height of the preview area (optional, defaults to \"12rem\")\n* `:class` - Additional CSS classes for the uploader container (optional)\n* `:on_change` - JavaScript function to call when files change (optional)","ref":"PineUiPhoenix.html#image_uploader/1-options"},{"type":"function","title":"PineUiPhoenix.modal/1","doc":"Renders a modal dialog component.\n\nThis component creates a modal dialog that appears centered on the screen.\nIt includes a backdrop overlay, title, optional close button, and content area.","ref":"PineUiPhoenix.html#modal/1"},{"type":"function","title":"Examples - PineUiPhoenix.modal/1","doc":"<.modal id=\"confirm-modal\" title=\"Confirm Action\">\n       Are you sure you want to perform this action? \n       \n         Cancel \n         Confirm \n       \n    </.modal>\n\n     Open Modal","ref":"PineUiPhoenix.html#modal/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.modal/1","doc":"* `:id` - Unique identifier for the modal (required)\n* `:title` - Modal dialog title (optional)\n* `:show_close_button` - Whether to show the close button (optional, defaults to true)\n* `:max_width` - Maximum width of the modal: \"sm\", \"md\", \"lg\", \"xl\", \"2xl\", \"full\" (optional, defaults to \"lg\")\n* `:class` - Additional CSS classes for the modal container (optional)\n* `:header_class` - CSS classes for the modal header (optional)\n* `:content_class` - CSS classes for the modal content area (optional)\n* `:overlay_class` - CSS classes for the backdrop overlay (optional)\n* `:focus_element` - ID of element to focus when modal opens (optional, defaults to first focusable element)","ref":"PineUiPhoenix.html#modal/1-options"},{"type":"function","title":"PineUiPhoenix.modal_full_screen/1","doc":"Renders a full screen modal that covers the entire viewport.\n\nThis component creates a modal that takes up the full screen when opened,\nwith a header that contains the title and close button.","ref":"PineUiPhoenix.html#modal_full_screen/1"},{"type":"function","title":"Examples - PineUiPhoenix.modal_full_screen/1","doc":"<.modal_full_screen id=\"settings-modal\" title=\"Application Settings\">\n       \n         Full screen modal content goes here. \n       \n    </.modal_full_screen>\n\n     Settings","ref":"PineUiPhoenix.html#modal_full_screen/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.modal_full_screen/1","doc":"* `:id` - Unique identifier for the modal (required)\n* `:title` - Modal dialog title (optional)\n* `:show_close_button` - Whether to show the close button (optional, defaults to true)\n* `:class` - Additional CSS classes for the modal container (optional)\n* `:header_class` - CSS classes for the modal header (optional)\n* `:content_class` - CSS classes for the modal content area (optional)","ref":"PineUiPhoenix.html#modal_full_screen/1-options"},{"type":"function","title":"PineUiPhoenix.modal_side/1","doc":"Renders a slide-over modal that appears from the side of the screen.\n\nThis component creates a modal that slides in from the specified side\n(right by default) and covers a portion of the screen.","ref":"PineUiPhoenix.html#modal_side/1"},{"type":"function","title":"Examples - PineUiPhoenix.modal_side/1","doc":"<.modal_side id=\"cart-modal\" title=\"Shopping Cart\">\n       \n         Cart content goes here. \n       \n    </.modal_side>\n\n     View Cart","ref":"PineUiPhoenix.html#modal_side/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.modal_side/1","doc":"* `:id` - Unique identifier for the modal (required)\n* `:title` - Modal dialog title (optional)\n* `:show_close_button` - Whether to show the close button (optional, defaults to true)\n* `:side` - Which side the modal slides in from: \"right\" or \"left\" (optional, defaults to \"right\")\n* `:width` - Width of the slide-over panel: \"sm\", \"md\", \"lg\", \"xl\", \"2xl\", \"full\" (optional, defaults to \"md\")\n* `:class` - Additional CSS classes for the modal container (optional)\n* `:header_class` - CSS classes for the modal header (optional)\n* `:content_class` - CSS classes for the modal content area (optional)\n* `:overlay_class` - CSS classes for the backdrop overlay (optional)","ref":"PineUiPhoenix.html#modal_side/1-options"},{"type":"function","title":"PineUiPhoenix.multi_file_uploader/1","doc":"Renders a multi-file uploader component with progress tracking.\n\nThis component creates an uploader that handles multiple files with\nindividual progress tracking for each file.","ref":"PineUiPhoenix.html#multi_file_uploader/1"},{"type":"function","title":"Examples - PineUiPhoenix.multi_file_uploader/1","doc":"<.multi_file_uploader\n      id=\"gallery-upload\"\n      name=\"gallery\"\n      label=\"Upload Images\"\n      accept=\"image/*\"\n      max_files={5}\n    />","ref":"PineUiPhoenix.html#multi_file_uploader/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.multi_file_uploader/1","doc":"* `:id` - The ID for the file input (required)\n* `:name` - The name attribute for the file input (optional, defaults to ID)\n* `:label` - Label text for the uploader (optional)\n* `:accept` - Comma-separated list of allowed file types (optional)\n* `:max_file_size` - Maximum file size in bytes (optional)\n* `:max_files` - Maximum number of files that can be selected (optional)\n* `:show_preview` - Whether to show file previews (optional, defaults to true)\n* `:class` - Additional CSS classes for the uploader container (optional)\n* `:on_change` - JavaScript function to call when files change (optional)","ref":"PineUiPhoenix.html#multi_file_uploader/1-options"},{"type":"function","title":"PineUiPhoenix.pagination/1","doc":"Renders a pagination component.\n\nThis component creates a pagination interface with page numbers and\nnavigation controls.","ref":"PineUiPhoenix.html#pagination/1"},{"type":"function","title":"Examples - PineUiPhoenix.pagination/1","doc":"<.pagination\n      current_page={5}\n      total_pages={10}\n      on_page_change=\"change_page\"\n    />\n\n    <.pagination\n      current_page={3}\n      total_pages={20}\n      sibling_count={2}\n      show_first_last_buttons={true}\n      variant=\"indigo\"\n    />","ref":"PineUiPhoenix.html#pagination/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.pagination/1","doc":"* `:current_page` - Current active page (required, 1-based index)\n* `:total_pages` - Total number of pages (required)\n* `:sibling_count` - Number of sibling pages to show on each side of current page (optional, defaults to 1)\n* `:show_first_last_buttons` - Whether to show first/last page buttons (optional, defaults to false)\n* `:show_ellipsis` - Whether to show ellipsis for hidden pages (optional, defaults to true)\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:size` - Size of the pagination: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:class` - Additional CSS classes for the pagination container (optional)\n* `:item_class` - CSS classes for the page items (optional)\n* `:on_page_change` - Event name or function for page change (optional)","ref":"PineUiPhoenix.html#pagination/1-options"},{"type":"function","title":"PineUiPhoenix.pagination_load_more/1","doc":"Renders a \"load more\" pagination component.\n\nThis component creates a button that loads additional content\nrather than using traditional pagination.","ref":"PineUiPhoenix.html#pagination_load_more/1"},{"type":"function","title":"Examples - PineUiPhoenix.pagination_load_more/1","doc":"<.pagination_load_more\n      current_page={2}\n      total_pages={5}\n      label=\"Load more results\"\n      on_load_more=\"load_more\"\n    />","ref":"PineUiPhoenix.html#pagination_load_more/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.pagination_load_more/1","doc":"* `:current_page` - Current active page (required, 1-based index)\n* `:total_pages` - Total number of pages (required)\n* `:label` - Text for the load more button (optional, defaults to \"Load more\")\n* `:loading_label` - Text shown when loading (optional, defaults to \"Loading...\")\n* `:show_progress` - Whether to show loading progress (optional, defaults to false)\n* `:show_remaining` - Whether to show count of remaining items (optional, defaults to false)\n* `:items_per_page` - Number of items loaded per page (optional, required if show_remaining is true)\n* `:total_items` - Total number of items (optional, required if show_remaining is true)\n* `:loading` - Whether loading is in progress (optional, defaults to false)\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the container (optional)\n* `:button_class` - CSS classes for the button (optional)\n* `:on_load_more` - Event name or function for loading more (optional)","ref":"PineUiPhoenix.html#pagination_load_more/1-options"},{"type":"function","title":"PineUiPhoenix.pagination_simple/1","doc":"Renders a simple pagination component with prev/next buttons.\n\nThis component creates a simpler pagination interface with just the\nessential navigation controls.","ref":"PineUiPhoenix.html#pagination_simple/1"},{"type":"function","title":"Examples - PineUiPhoenix.pagination_simple/1","doc":"<.pagination_simple\n      current_page={5}\n      total_pages={10}\n      on_page_change=\"change_page\"\n    />","ref":"PineUiPhoenix.html#pagination_simple/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.pagination_simple/1","doc":"* `:current_page` - Current active page (required, 1-based index)\n* `:total_pages` - Total number of pages (required)\n* `:show_page_info` - Whether to show current/total page info (optional, defaults to true)\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:size` - Size of the pagination: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:class` - Additional CSS classes for the pagination container (optional)\n* `:on_page_change` - Event name or function for page change (optional)","ref":"PineUiPhoenix.html#pagination_simple/1-options"},{"type":"function","title":"PineUiPhoenix.progress_bar/1","doc":"Renders a progress bar component.\n\nThis component creates a horizontal progress bar that visually represents\ncompletion progress.","ref":"PineUiPhoenix.html#progress_bar/1"},{"type":"function","title":"Examples - PineUiPhoenix.progress_bar/1","doc":"<.progress_bar value={75} />\n\n    <.progress_bar\n      value={42}\n      max={100}\n      label=\"Uploading...\"\n      show_percentage={true}\n      size=\"lg\"\n      variant=\"indigo\"\n    />","ref":"PineUiPhoenix.html#progress_bar/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.progress_bar/1","doc":"* `:value` - Current progress value (required)\n* `:max` - Maximum value representing 100% completion (optional, defaults to 100)\n* `:label` - Text label for the progress bar (optional)\n* `:show_percentage` - Whether to show percentage text (optional, defaults to false)\n* `:size` - Size of the bar: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the progress container (optional)\n* `:bar_class` - CSS classes for the progress bar itself (optional)\n* `:label_class` - CSS classes for the label text (optional)","ref":"PineUiPhoenix.html#progress_bar/1-options"},{"type":"function","title":"PineUiPhoenix.progress_circle/1","doc":"Renders a circular progress indicator.\n\nThis component creates a circular progress indicator with customizable appearance.","ref":"PineUiPhoenix.html#progress_circle/1"},{"type":"function","title":"Examples - PineUiPhoenix.progress_circle/1","doc":"<.progress_circle value={75} />\n\n    <.progress_circle\n      value={42}\n      max={100}\n      label=\"Uploading...\"\n      show_percentage={true}\n      size=\"lg\"\n      variant=\"indigo\"\n    />","ref":"PineUiPhoenix.html#progress_circle/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.progress_circle/1","doc":"* `:value` - Current progress value (required)\n* `:max` - Maximum value representing 100% completion (optional, defaults to 100)\n* `:label` - Text label for the progress circle (optional)\n* `:show_percentage` - Whether to show percentage text inside the circle (optional, defaults to false)\n* `:size` - Size of the circle: \"sm\", \"md\", \"lg\", \"xl\" (optional, defaults to \"md\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:track_width` - Width of the circle track: \"thin\", \"normal\", \"thick\" (optional, defaults to \"normal\")\n* `:class` - Additional CSS classes for the progress container (optional)\n* `:circle_class` - CSS classes for the circle itself (optional)\n* `:label_class` - CSS classes for the label text (optional)","ref":"PineUiPhoenix.html#progress_circle/1-options"},{"type":"function","title":"PineUiPhoenix.progress_steps/1","doc":"Renders a multi-step progress indicator.\n\nThis component creates a horizontal step indicator for processes or workflows.","ref":"PineUiPhoenix.html#progress_steps/1"},{"type":"function","title":"Examples - PineUiPhoenix.progress_steps/1","doc":"<.progress_steps\n      steps={[\"Cart\", \"Shipping\", \"Payment\", \"Confirmation\"]}\n      current_step={2}\n    />\n\n    <.progress_steps\n      steps={[\n        %{title: \"Account\", description: \"Personal information\"},\n        %{title: \"Profile\", description: \"Additional details\"},\n        %{title: \"Complete\", description: \"Review submission\"}\n      ]}\n      current_step={1}\n      variant=\"green\"\n    />","ref":"PineUiPhoenix.html#progress_steps/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.progress_steps/1","doc":"* `:steps` - List of step titles or maps with title and description (required)\n* `:current_step` - Index of the current active step (0-based, required)\n* `:orientation` - Direction of the steps: \"horizontal\" or \"vertical\" (optional, defaults to \"horizontal\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the steps container (optional)\n* `:connector_class` - CSS classes for the connecting lines (optional)\n* `:step_class` - CSS classes for the step indicators (optional)","ref":"PineUiPhoenix.html#progress_steps/1-options"},{"type":"function","title":"PineUiPhoenix.select/1","doc":"Renders a basic select dropdown component.","ref":"PineUiPhoenix.html#select/1"},{"type":"function","title":"Examples - PineUiPhoenix.select/1","doc":"<.select\n      id=\"country\"\n      label=\"Country\"\n      options={[{\"us\", \"United States\"}, {\"ca\", \"Canada\"}, {\"mx\", \"Mexico\"}]}\n      selected=\"us\"\n      placeholder=\"Select a country\"\n      hint=\"Choose your country of residence\"\n    />","ref":"PineUiPhoenix.html#select/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.select/1","doc":"* `:id` - The ID for the select element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:options` - List of {value, label} tuples for the options (required)\n* `:selected` - The currently selected value (optional)\n* `:placeholder` - Placeholder text for empty selection (optional)\n* `:hint` - Help text displayed below the select (optional)\n* `:error` - Error message displayed below the select (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:class` - Additional CSS classes for the select element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.html#select/1-options"},{"type":"function","title":"PineUiPhoenix.select_grouped/1","doc":"Renders a select dropdown with option groups.","ref":"PineUiPhoenix.html#select_grouped/1"},{"type":"function","title":"Examples - PineUiPhoenix.select_grouped/1","doc":"<.select_grouped\n      id=\"continent\"\n      label=\"Country\"\n      option_groups={[\n        {\"North America\", [{\"us\", \"United States\"}, {\"ca\", \"Canada\"}]},\n        {\"Europe\", [{\"fr\", \"France\"}, {\"de\", \"Germany\"}]}\n      ]}\n      selected=\"fr\"\n    />","ref":"PineUiPhoenix.html#select_grouped/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.select_grouped/1","doc":"* `:id` - The ID for the select element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:option_groups` - List of {group_label, options} tuples where options is a list of {value, label} tuples (required)\n* `:selected` - The currently selected value (optional)\n* `:placeholder` - Placeholder text for empty selection (optional)\n* `:hint` - Help text displayed below the select (optional)\n* `:error` - Error message displayed below the select (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:class` - Additional CSS classes for the select element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.html#select_grouped/1-options"},{"type":"function","title":"PineUiPhoenix.select_searchable/1","doc":"Renders a searchable select dropdown with filtering.","ref":"PineUiPhoenix.html#select_searchable/1"},{"type":"function","title":"Examples - PineUiPhoenix.select_searchable/1","doc":"<.select_searchable\n      id=\"country\"\n      label=\"Country\"\n      options={[{\"us\", \"United States\"}, {\"ca\", \"Canada\"}, {\"mx\", \"Mexico\"}]}\n      selected=\"us\"\n      selected_label=\"United States\"\n      placeholder=\"Search countries...\"\n    />","ref":"PineUiPhoenix.html#select_searchable/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.select_searchable/1","doc":"* `:id` - The ID for the select element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:options` - List of {value, label} tuples for the options (required)\n* `:selected` - The currently selected value (optional)\n* `:selected_label` - The label for the currently selected value (optional, should match the label in options)\n* `:placeholder` - Placeholder text for the search input (optional)\n* `:hint` - Help text displayed below the select (optional)\n* `:error` - Error message displayed below the select (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:class` - Additional CSS classes for the select element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.html#select_searchable/1-options"},{"type":"function","title":"PineUiPhoenix.switch/1","doc":"Renders a toggle switch component.\n\nThis component creates a simple on/off toggle switch for boolean options.","ref":"PineUiPhoenix.html#switch/1"},{"type":"function","title":"Examples - PineUiPhoenix.switch/1","doc":"<.switch\n      id=\"notifications\"\n      name=\"user[notifications]\"\n      value={@user.notifications}\n      label=\"Enable notifications\"\n    />\n\n    <.switch\n      id=\"dark_mode\"\n      value={false}\n      label=\"Dark mode\"\n      size=\"sm\"\n      variant=\"indigo\"\n    />","ref":"PineUiPhoenix.html#switch/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.switch/1","doc":"* `:id` - The ID for the switch element (required)\n* `:name` - The name attribute for form submission (optional, defaults to ID)\n* `:value` - Whether the switch is on or off (optional, defaults to false)\n* `:label` - Text label for the switch (optional)\n* `:help_text` - Help text displayed below the switch (optional)\n* `:disabled` - Whether the switch is disabled (optional, defaults to false)\n* `:size` - Size of the switch: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the switch container (optional)\n* `:label_class` - CSS classes for the label text (optional)\n* `:phx_change` - Phoenix change event name (optional)","ref":"PineUiPhoenix.html#switch/1-options"},{"type":"function","title":"PineUiPhoenix.switch_card/1","doc":"Renders a card-style toggle switch component.\n\nThis component creates an elegant card-style switch with label and icon.","ref":"PineUiPhoenix.html#switch_card/1"},{"type":"function","title":"Examples - PineUiPhoenix.switch_card/1","doc":"<.switch_card\n      id=\"auto_renewal\"\n      value={true}\n      title=\"Auto-renewal\"\n      description=\"Automatically renew your subscription\"\n      icon={~H\" \n         \n       \"}\n    />","ref":"PineUiPhoenix.html#switch_card/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.switch_card/1","doc":"* `:id` - The ID for the switch element (required)\n* `:name` - The name attribute for form submission (optional, defaults to ID)\n* `:value` - Whether the switch is on or off (optional, defaults to false)\n* `:title` - The card title text (optional)\n* `:description` - Descriptive text for the switch (optional)\n* `:icon` - Icon markup to display (optional)\n* `:disabled` - Whether the switch is disabled (optional, defaults to false)\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the card container (optional)\n* `:phx_change` - Phoenix change event name (optional)","ref":"PineUiPhoenix.html#switch_card/1-options"},{"type":"function","title":"PineUiPhoenix.switch_labeled/1","doc":"Renders a labeled toggle switch component with a descriptive label on each side.\n\nThis component creates a switch with labels for both on and off states.","ref":"PineUiPhoenix.html#switch_labeled/1"},{"type":"function","title":"Examples - PineUiPhoenix.switch_labeled/1","doc":"<.switch_labeled\n      id=\"status\"\n      name=\"project[status]\"\n      value={@project.status}\n      left_label=\"Draft\"\n      right_label=\"Published\"\n    />","ref":"PineUiPhoenix.html#switch_labeled/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.switch_labeled/1","doc":"* `:id` - The ID for the switch element (required)\n* `:name` - The name attribute for form submission (optional, defaults to ID)\n* `:value` - Whether the switch is on or off (optional, defaults to false)\n* `:left_label` - Text label for the off state (optional, defaults to \"Off\")\n* `:right_label` - Text label for the on state (optional, defaults to \"On\")\n* `:help_text` - Help text displayed below the switch (optional)\n* `:disabled` - Whether the switch is disabled (optional, defaults to false)\n* `:size` - Size of the switch: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the switch container (optional)\n* `:phx_change` - Phoenix change event name (optional)","ref":"PineUiPhoenix.html#switch_labeled/1-options"},{"type":"function","title":"PineUiPhoenix.tabs/1","doc":"Renders a basic tabs component with tab buttons and content panes.\n\nThis component creates a tabbed interface where clicking on a tab button\ndisplays its associated content pane.","ref":"PineUiPhoenix.html#tabs/1"},{"type":"function","title":"Examples - PineUiPhoenix.tabs/1","doc":"<.tabs>\n      <:tab title=\"Account Settings\" active={true}>\n         Content for the Account Settings tab. \n      </:tab>\n      <:tab title=\"Profile\">\n         Content for the Profile tab. \n      </:tab>\n      <:tab title=\"Notifications\">\n         Content for the Notifications tab. \n      </:tab>\n    </.tabs>","ref":"PineUiPhoenix.html#tabs/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.tabs/1","doc":"* `:class` - Additional CSS classes for the tabs container (optional)\n* `:tab_list_class` - CSS classes for the tab button list (optional)\n* `:tab_button_class` - Base CSS classes for all tab buttons (optional)\n* `:tab_button_active_class` - CSS classes added to the active tab button (optional)\n* `:tab_button_inactive_class` - CSS classes added to inactive tab buttons (optional)\n* `:tab_panel_class` - CSS classes for the tab content panels (optional)\n* `:tab` - Tab slots with the following attributes:\n  * `:title` - Text displayed in the tab button (required)\n  * `:active` - Whether this tab is selected initially (optional, defaults to false)\n  * `:disabled` - Whether this tab is disabled (optional, defaults to false)","ref":"PineUiPhoenix.html#tabs/1-options"},{"type":"function","title":"PineUiPhoenix.tabs_boxed/1","doc":"Renders a boxed tabs component with full-width tab panels and border.\n\nThis component creates a tabbed interface with box-style tabs and\ncontent panels with a border.","ref":"PineUiPhoenix.html#tabs_boxed/1"},{"type":"function","title":"Examples - PineUiPhoenix.tabs_boxed/1","doc":"<.tabs_boxed>\n      <:tab title=\"Comments\" active={true}>\n         Comments content goes here. \n      </:tab>\n      <:tab title=\"Activity\">\n         Activity content goes here. \n      </:tab>\n      <:tab title=\"Archives\">\n         Archives content goes here. \n      </:tab>\n    </.tabs_boxed>","ref":"PineUiPhoenix.html#tabs_boxed/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.tabs_boxed/1","doc":"* `:class` - Additional CSS classes for the tabs container (optional)\n* `:tab_list_class` - CSS classes for the boxed tab list (optional)\n* `:tab_button_class` - Base CSS classes for all boxed tab buttons (optional)\n* `:tab_button_active_class` - CSS classes added to the active boxed tab (optional)\n* `:tab_button_inactive_class` - CSS classes added to inactive boxed tabs (optional)\n* `:tab_panel_class` - CSS classes for the tab content panels (optional)\n* `:tab` - Tab slots with the same attributes as in the `tabs/1` component","ref":"PineUiPhoenix.html#tabs_boxed/1-options"},{"type":"function","title":"PineUiPhoenix.tabs_pills/1","doc":"Renders a pill-style tabs component with rounded tab buttons.\n\nThis component creates a tabbed interface with pill-shaped tab buttons.","ref":"PineUiPhoenix.html#tabs_pills/1"},{"type":"function","title":"Examples - PineUiPhoenix.tabs_pills/1","doc":"<.tabs_pills>\n      <:tab title=\"Overview\" active={true}>\n         Overview content goes here. \n      </:tab>\n      <:tab title=\"Features\">\n         Features content goes here. \n      </:tab>\n      <:tab title=\"Specifications\">\n         Specifications content goes here. \n      </:tab>\n    </.tabs_pills>","ref":"PineUiPhoenix.html#tabs_pills/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.tabs_pills/1","doc":"* `:class` - Additional CSS classes for the tabs container (optional)\n* `:tab_list_class` - CSS classes for the pill tab list (optional)\n* `:tab_button_class` - Base CSS classes for all pill tab buttons (optional)\n* `:tab_button_active_class` - CSS classes added to the active pill tab (optional)\n* `:tab_button_inactive_class` - CSS classes added to inactive pill tabs (optional)\n* `:tab_panel_class` - CSS classes for the tab content panels (optional)\n* `:tab` - Tab slots with the same attributes as in the `tabs/1` component","ref":"PineUiPhoenix.html#tabs_pills/1-options"},{"type":"function","title":"PineUiPhoenix.text_animation_blow/1","doc":"Renders text with a scale animation where letters blow up into place.\n\n This component animates each letter of the text individually, starting from a\nlarger scale and shrinking into place.","ref":"PineUiPhoenix.html#text_animation_blow/1"},{"type":"function","title":"Examples - PineUiPhoenix.text_animation_blow/1","doc":"<.text_animation_blow text=\"Welcome to Pine UI\" />\n\n    <.text_animation_blow text=\"Amazing Animations\" />","ref":"PineUiPhoenix.html#text_animation_blow/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.text_animation_blow/1","doc":"* `:text` - The text to animate (required, uses \"Pines UI Library\" if not provided)","ref":"PineUiPhoenix.html#text_animation_blow/1-options"},{"type":"function","title":"PineUiPhoenix.text_animation_fade/1","doc":"Renders text with a fade-in animation for each letter.\n\n This component animates each letter of the text individually with a fade-in effect,\ncreating a smooth appearance animation.","ref":"PineUiPhoenix.html#text_animation_fade/1"},{"type":"function","title":"Examples - PineUiPhoenix.text_animation_fade/1","doc":"<.text_animation_fade text=\"Welcome to Pine UI\" />\n\n    <.text_animation_fade text=\"Smooth Animations\" />","ref":"PineUiPhoenix.html#text_animation_fade/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.text_animation_fade/1","doc":"* `:text` - The text to animate (required, uses \"Pines UI Library\" if not provided)","ref":"PineUiPhoenix.html#text_animation_fade/1-options"},{"type":"function","title":"PineUiPhoenix.text_input/1","doc":"Renders a basic text input component.","ref":"PineUiPhoenix.html#text_input/1"},{"type":"function","title":"Examples - PineUiPhoenix.text_input/1","doc":"<.text_input\n      id=\"email\"\n      label=\"Email Address\"\n      type=\"email\"\n      placeholder=\"you@example.com\"\n      required={true}\n    />\n\n    <.text_input\n      id=\"price\"\n      label=\"Price\"\n      type=\"number\"\n      prefix=\"$\"\n      suffix=\"USD\"\n      hint=\"Enter amount in dollars\"\n      error={@form_errors[:price]}\n    />","ref":"PineUiPhoenix.html#text_input/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.text_input/1","doc":"* `:id` - The ID for the input element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:type` - Input type (optional, defaults to \"text\")\n* `:value` - Current input value (optional)\n* `:placeholder` - Placeholder text (optional)\n* `:prefix` - Text to display before the input (optional)\n* `:suffix` - Text to display after the input (optional)\n* `:hint` - Help text displayed below the input (optional)\n* `:error` - Error message displayed below the input (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:readonly` - Whether the field is read only (optional, defaults to false)\n* `:autofocus` - Whether the field should autofocus (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)\n* `:phx_focus` - Phoenix focus event name (optional)\n* `:phx_debounce` - Phoenix debounce setting (optional)\n* `:class` - Additional CSS classes for the input element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.html#text_input/1-options"},{"type":"function","title":"PineUiPhoenix.text_input_with_icon/1","doc":"Renders a text input with an icon on the left.","ref":"PineUiPhoenix.html#text_input_with_icon/1"},{"type":"function","title":"Examples - PineUiPhoenix.text_input_with_icon/1","doc":"<.text_input_with_icon\n      id=\"search\"\n      placeholder=\"Search...\"\n      icon={~H\"   \"}\n    />","ref":"PineUiPhoenix.html#text_input_with_icon/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.text_input_with_icon/1","doc":"* `:id` - The ID for the input element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:type` - Input type (optional, defaults to \"text\")\n* `:value` - Current input value (optional)\n* `:placeholder` - Placeholder text (optional)\n* `:icon` - SVG or HTML for the icon (required)\n* `:hint` - Help text displayed below the input (optional)\n* `:error` - Error message displayed below the input (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:readonly` - Whether the field is read only (optional, defaults to false)\n* `:autofocus` - Whether the field should autofocus (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)\n* `:phx_focus` - Phoenix focus event name (optional)\n* `:phx_debounce` - Phoenix debounce setting (optional)\n* `:class` - Additional CSS classes for the input element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.html#text_input_with_icon/1-options"},{"type":"function","title":"PineUiPhoenix.textarea/1","doc":"Renders a textarea component for multiline text input.","ref":"PineUiPhoenix.html#textarea/1"},{"type":"function","title":"Examples - PineUiPhoenix.textarea/1","doc":"<.textarea\n      id=\"description\"\n      label=\"Description\"\n      rows={6}\n      placeholder=\"Enter a detailed description...\"\n      hint=\"Markdown formatting is supported\"\n    />","ref":"PineUiPhoenix.html#textarea/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.textarea/1","doc":"* `:id` - The ID for the textarea element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:value` - Current textarea value (optional)\n* `:placeholder` - Placeholder text (optional)\n* `:rows` - Number of visible rows (optional, defaults to 4)\n* `:hint` - Help text displayed below the textarea (optional)\n* `:error` - Error message displayed below the textarea (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:readonly` - Whether the field is read only (optional, defaults to false)\n* `:autofocus` - Whether the field should autofocus (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)\n* `:phx_debounce` - Phoenix debounce setting (optional)\n* `:class` - Additional CSS classes for the textarea element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.html#textarea/1-options"},{"type":"function","title":"PineUiPhoenix.toast/1","doc":"Renders a standalone toast notification.\n\nThis component creates a single toast notification that can be shown directly\nin the UI (not via the notification system).","ref":"PineUiPhoenix.html#toast/1"},{"type":"function","title":"Examples - PineUiPhoenix.toast/1","doc":"<.toast\n      type=\"success\"\n      title=\"Success!\"\n      message=\"Your changes have been saved.\"\n    />\n\n    <.toast\n      type=\"error\"\n      message=\"Failed to save changes.\"\n      dismissable={true}\n    />","ref":"PineUiPhoenix.html#toast/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.toast/1","doc":"* `:type` - Toast type: \"default\", \"success\", \"error\", \"warning\", \"info\" (optional, defaults to \"default\")\n* `:title` - Toast title text (optional)\n* `:message` - Toast message text (required)\n* `:icon` - HTML string for custom icon (optional, for default type only)\n* `:dismissable` - Whether the toast can be dismissed (optional, defaults to false)\n* `:class` - Additional CSS classes for the toast (optional)","ref":"PineUiPhoenix.html#toast/1-options"},{"type":"function","title":"PineUiPhoenix.toast_container/1","doc":"Renders a toast notification container.\n\nThis component creates a container for toast notifications. It's designed to be\nplaced at the root of your application layout.","ref":"PineUiPhoenix.html#toast_container/1"},{"type":"function","title":"Examples - PineUiPhoenix.toast_container/1","doc":"<.toast_container />\n\n    <.toast_container\n      position=\"bottom-right\"\n      transition=\"slide\"\n    />","ref":"PineUiPhoenix.html#toast_container/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.toast_container/1","doc":"* `:position` - Position of the toasts: \"top-right\", \"top-left\", \"bottom-right\", \"bottom-left\", \"top-center\", \"bottom-center\" (optional, defaults to \"top-right\")\n* `:transition` - Animation style: \"fade\", \"slide\", \"zoom\" (optional, defaults to \"fade\")\n* `:max_toasts` - Maximum number of toasts to show at once (optional, defaults to 5)\n* `:class` - Additional CSS classes for the container (optional)","ref":"PineUiPhoenix.html#toast_container/1-options"},{"type":"function","title":"PineUiPhoenix.toast_trigger/1","doc":"Renders a button that triggers a toast notification.\n\nThis component creates a button that shows a toast notification\nwhen clicked.","ref":"PineUiPhoenix.html#toast_trigger/1"},{"type":"function","title":"Examples - PineUiPhoenix.toast_trigger/1","doc":"<.toast_trigger\n      label=\"Show Success Toast\"\n      type=\"success\"\n      title=\"Success!\"\n      message=\"Operation completed successfully.\"\n    />","ref":"PineUiPhoenix.html#toast_trigger/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.toast_trigger/1","doc":"* `:label` - Button text (required)\n* `:type` - Toast type: \"default\", \"success\", \"error\", \"warning\", \"info\" (optional, defaults to \"default\")\n* `:title` - Toast title text (optional)\n* `:message` - Toast message text (required)\n* `:duration` - Duration in milliseconds before auto-dismiss (optional, defaults to 5000, set to 0 to disable)\n* `:position` - Position override for the toast (optional)\n* `:button_class` - CSS classes for the button (optional)\n* `:button_variant` - Button variant: \"primary\", \"secondary\", \"outline\" (optional, defaults to \"primary\")","ref":"PineUiPhoenix.html#toast_trigger/1-options"},{"type":"function","title":"PineUiPhoenix.tooltip/1","doc":"Renders a customizable tooltip component.\n\n This component shows a tooltip when hovering over text. The tooltip can\nbe positioned at the top, left, or right of the trigger element.","ref":"PineUiPhoenix.html#tooltip/1"},{"type":"function","title":"Examples - PineUiPhoenix.tooltip/1","doc":"<.tooltip\n      title=\"Click me\"\n      description=\"This will do something cool\"\n      type=\"top\"\n      class=\"px-3 py-1 text-sm rounded-lg bg-blue-100 text-blue-700 hover:bg-blue-200\"\n    />","ref":"PineUiPhoenix.html#tooltip/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.tooltip/1","doc":"* `:title` - The text to display as the trigger (required, uses \"hover me\" if not provided)\n* `:description` - The tooltip text (required, uses \"Tooltip text\" if not provided)\n* `:type` - The tooltip position: \"top\" (default), \"left\", or \"right\"\n* `:class` - CSS classes to apply to the trigger element (optional)","ref":"PineUiPhoenix.html#tooltip/1-options"},{"type":"function","title":"PineUiPhoenix.typing_effect/1","doc":"Renders a typing effect component that cycles through a list of texts.\n\n This component creates a typewriter-like effect where text is typed out,\ndeleted, and replaced with the next text in the list.","ref":"PineUiPhoenix.html#typing_effect/1"},{"type":"function","title":"Examples - PineUiPhoenix.typing_effect/1","doc":"<.typing_effect\n      text_list={Poison.encode!([\"First message\", \"Second message\"])}\n      class=\"flex justify-center py-8\"\n      text_class=\"text-2xl font-black text-blue-600\"\n    />","ref":"PineUiPhoenix.html#typing_effect/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.typing_effect/1","doc":"* `:text_list` - A JSON string array of texts to cycle through (required, will use defaults if not provided)\n* `:class` - CSS classes to apply to the container element (optional)\n* `:text_class` - CSS classes to apply to the text element (optional)","ref":"PineUiPhoenix.html#typing_effect/1-options"},{"type":"module","title":"PineUiPhoenix.Types","doc":"Type specifications for Pine UI components.\n\nThis module contains type specifications used throughout the library\nto provide better documentation and IDE support.","ref":"PineUiPhoenix.Types.html"},{"type":"type","title":"PineUiPhoenix.Types.assigns/0","doc":"Component default assigns.\n\nCommon assigns accepted by most components:\n- `:class` - Additional CSS classes\n- `:id` - DOM element ID\n- `:phx_*` - Phoenix LiveView specific attributes","ref":"PineUiPhoenix.Types.html#t:assigns/0"},{"type":"type","title":"PineUiPhoenix.Types.badge_assigns/0","doc":"Badge component assigns.\n\nAdditional assigns:\n- `:variant` - Color variant (success, warning, etc.)","ref":"PineUiPhoenix.Types.html#t:badge_assigns/0"},{"type":"type","title":"PineUiPhoenix.Types.button_assigns/0","doc":"Button component assigns.\n\nAdditional assigns:\n- `:loading` - Boolean to show loading state\n- `:disabled` - Boolean to disable the button\n- `:icon` - Optional icon markup","ref":"PineUiPhoenix.Types.html#t:button_assigns/0"},{"type":"type","title":"PineUiPhoenix.Types.card_assigns/0","doc":"Card component assigns.\n\nAdditional assigns:\n- `:title` - Optional card title\n- `:subtitle` - Optional card subtitle\n- `:footer` - Optional footer content\n- `:padded` - Boolean to add padding to content area","ref":"PineUiPhoenix.Types.html#t:card_assigns/0"},{"type":"type","title":"PineUiPhoenix.Types.select_assigns/0","doc":"Select component assigns.\n\nAdditional assigns:\n- `:options` - List of {value, label} tuples\n- `:selected` - Currently selected value\n- `:placeholder` - Placeholder text","ref":"PineUiPhoenix.Types.html#t:select_assigns/0"},{"type":"type","title":"PineUiPhoenix.Types.text_input_assigns/0","doc":"Text input component assigns.\n\nAdditional assigns:\n- `:label` - Optional input label\n- `:value` - Current input value\n- `:placeholder` - Placeholder text\n- `:required` - Boolean for required input\n- `:disabled` - Boolean to disable the input\n- `:hint` - Optional help text\n- `:error` - Optional error message","ref":"PineUiPhoenix.Types.html#t:text_input_assigns/0"},{"type":"module","title":"PineUiPhoenix.Accordion","doc":"Provides accordion components for expandable/collapsible content sections.\n\nThe Accordion module offers two main variants:\n- `basic/1` - Standard accordion component with single panel\n- `group/1` - Group of related accordion panels where only one can be open at a time","ref":"PineUiPhoenix.Accordion.html"},{"type":"function","title":"PineUiPhoenix.Accordion.basic/1","doc":"Renders a basic accordion component.\n\nThis component creates a collapsible section that can be toggled open/closed.\nIt uses AlpineJS for the toggle functionality.","ref":"PineUiPhoenix.Accordion.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.Accordion.basic/1","doc":"<.basic title=\"Frequently Asked Questions\">\n       This content can be expanded or collapsed. \n    </.basic>\n\n    <.basic title=\"Section Title\" subtitle=\"Additional details\" open={true}>\n       \n         Initially expanded content. \n         Multiple paragraphs can be included. \n       \n    </.basic>","ref":"PineUiPhoenix.Accordion.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Accordion.basic/1","doc":"* `:title` - Accordion panel header text (required)\n* `:subtitle` - Optional subheading text below the title (optional)\n* `:open` - Whether the accordion is expanded initially (optional, defaults to false)\n* `:class` - Additional CSS classes for the accordion container (optional)\n* `:header_class` - Additional CSS classes for the header section (optional)\n* `:content_class` - Additional CSS classes for the content section (optional)\n* `:icon` - Custom icon element to replace default chevron (optional)","ref":"PineUiPhoenix.Accordion.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.Accordion.group/1","doc":"Renders an accordion group with multiple accordion panels.\n\nThis component creates a group of related accordion panels where only\none panel can be expanded at a time.","ref":"PineUiPhoenix.Accordion.html#group/1"},{"type":"function","title":"Examples - PineUiPhoenix.Accordion.group/1","doc":"<.group>\n      <:panel title=\"Section 1\">\n         Content for section 1 \n      </:panel>\n      <:panel title=\"Section 2\">\n         Content for section 2 \n      </:panel>\n      <:panel title=\"Section 3\" active={true}>\n         This section is open by default \n      </:panel>\n    </.group>","ref":"PineUiPhoenix.Accordion.html#group/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Accordion.group/1","doc":"* `:class` - Additional CSS classes for the accordion group container (optional)\n* `:panel_class` - Additional CSS classes applied to each panel (optional)\n* `:header_class` - Additional CSS classes for each panel header (optional)\n* `:content_class` - Additional CSS classes for each panel content (optional)\n* `:panel` - Panel slots with the following attributes:\n  * `:title` - Panel header text (required)\n  * `:subtitle` - Optional subheading text below the title (optional)\n  * `:active` - Whether this panel is expanded initially (optional, default to false)\n  * `:icon` - Custom icon element to replace default chevron (optional)","ref":"PineUiPhoenix.Accordion.html#group/1-options"},{"type":"module","title":"PineUiPhoenix.Button","doc":"Provides button components with various styles and states.\n\nThe Button module offers primary, secondary, and danger button variants\nwith support for loading states, icons, and Phoenix LiveView integration.","ref":"PineUiPhoenix.Button.html"},{"type":"module","title":"Examples - PineUiPhoenix.Button","doc":"Submit\n     \n\n     \n      Cancel\n     \n\n     \n      Delete","ref":"PineUiPhoenix.Button.html#module-examples"},{"type":"module","title":"Accessibility - PineUiPhoenix.Button","doc":"All button components provide proper focus states, ARIA attributes, and\nkeyboard interaction support.","ref":"PineUiPhoenix.Button.html#module-accessibility"},{"type":"function","title":"PineUiPhoenix.Button.danger/1","doc":"Renders a danger button component with optional loading state.\n\nDanger buttons should be used for destructive actions such as delete or remove.","ref":"PineUiPhoenix.Button.html#danger/1"},{"type":"function","title":"Examples - PineUiPhoenix.Button.danger/1","doc":"<.danger>Delete Account</.danger>\n\n    <.danger loading={@deleting} phx_click=\"delete\" phx_value_id={@item.id}>\n      Remove Item\n    </.danger>","ref":"PineUiPhoenix.Button.html#danger/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Button.danger/1","doc":"* `:type` - Button type attribute (optional, defaults to \"button\")\n* `:class` - Additional CSS classes (optional)\n* `:disabled` - Whether the button is disabled (optional, defaults to false)\n* `:loading` - Whether to show loading state (optional, defaults to false)\n* `:icon` - HTML string for an icon to display before text (optional)\n* `:phx_click` - The LiveView click event to trigger (optional)\n* `:phx_value_id` - The id value to pass with the event (optional)\n* `:phx_target` - The LiveView target for the event (optional)","ref":"PineUiPhoenix.Button.html#danger/1-options"},{"type":"function","title":"PineUiPhoenix.Button.primary/1","doc":"Renders a primary button component with optional loading state.","ref":"PineUiPhoenix.Button.html#primary/1"},{"type":"function","title":"Examples - PineUiPhoenix.Button.primary/1","doc":"<.primary>Submit</.primary>\n\n    <.primary loading={true} phx_click=\"save\" disabled={@form_invalid}>\n      Save Changes\n    </.primary>\n\n    <.primary icon=\" ... \">\n      With Icon\n    </.primary>","ref":"PineUiPhoenix.Button.html#primary/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Button.primary/1","doc":"* `:type` - Button type attribute (optional, defaults to \"button\")\n* `:class` - Additional CSS classes (optional)\n* `:disabled` - Whether the button is disabled (optional, defaults to false)\n* `:loading` - Whether to show loading state (optional, defaults to false)\n* `:icon` - HTML string for an icon to display before text (optional)\n* `:phx_click` - The LiveView click event to trigger (optional)\n* `:phx_value_id` - The id value to pass with the event (optional)\n* `:phx_target` - The LiveView target for the event (optional)","ref":"PineUiPhoenix.Button.html#primary/1-options"},{"type":"function","title":"PineUiPhoenix.Button.secondary/1","doc":"Renders a secondary button component with optional loading state.\n\nSecondary buttons are often used for secondary actions or alternative options.","ref":"PineUiPhoenix.Button.html#secondary/1"},{"type":"function","title":"Examples - PineUiPhoenix.Button.secondary/1","doc":"<.secondary>Cancel</.secondary>\n\n    <.secondary loading={@processing} phx_click=\"back\">\n      Go Back\n    </.secondary>","ref":"PineUiPhoenix.Button.html#secondary/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Button.secondary/1","doc":"* `:type` - Button type attribute (optional, defaults to \"button\")\n* `:class` - Additional CSS classes (optional)\n* `:disabled` - Whether the button is disabled (optional, defaults to false)\n* `:loading` - Whether to show loading state (optional, defaults to false)\n* `:icon` - HTML string for an icon to display before text (optional)\n* `:phx_click` - The LiveView click event to trigger (optional)\n* `:phx_value_id` - The id value to pass with the event (optional)\n* `:phx_target` - The LiveView target for the event (optional)","ref":"PineUiPhoenix.Button.html#secondary/1-options"},{"type":"module","title":"PineUiPhoenix.Dropdown","doc":"Provides dropdown menu components for displaying lists of actions or options.\n\nThe Dropdown module offers components for creating dropdown menus that can\ncontain links, buttons, and other interactive elements. Includes variants for\ndifferent trigger styles and positioning.","ref":"PineUiPhoenix.Dropdown.html"},{"type":"function","title":"PineUiPhoenix.Dropdown.basic/1","doc":"Renders a basic dropdown menu component.\n\nThis component creates a dropdown menu that appears when a trigger button\nis clicked. The menu can contain links, buttons, or other elements.","ref":"PineUiPhoenix.Dropdown.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.Dropdown.basic/1","doc":"<.basic id=\"user-menu\" label=\"Options\">\n      <:item href=\"/profile\">Profile</:item>\n      <:item href=\"/settings\">Settings</:item>\n      <:divider />\n      <:item href=\"/logout\" class=\"text-red-600\">Log out</:item>\n    </.basic>\n\n    <.basic id=\"actions-menu\" icon={~H\" ... \"}>\n      <:item on_click=\"edit\">Edit</:item>\n      <:item on_click=\"duplicate\">Duplicate</:item>\n      <:divider />\n      <:item on_click=\"delete\" class=\"text-red-600\">Delete</:item>\n    </.basic>","ref":"PineUiPhoenix.Dropdown.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Dropdown.basic/1","doc":"* `:id` - Unique identifier for the dropdown (required)\n* `:label` - Text for the trigger button (either this or icon is required)\n* `:icon` - Icon markup for the trigger button (either this or label is required)\n* `:position` - Menu position: \"bottom-left\", \"bottom-right\", \"top-left\", \"top-right\" (optional, defaults to \"bottom-left\")\n* `:width` - Menu width: \"auto\", \"sm\", \"md\", \"lg\" (optional, defaults to \"auto\")\n* `:button_class` - CSS classes for the trigger button (optional)\n* `:menu_class` - CSS classes for the dropdown menu (optional)\n* `:item` - Menu item slots with the following attributes:\n  * `:href` - URL for link items (either this or on_click is typically provided)\n  * `:on_click` - Click event name for button items (either this or href is typically provided)\n  * `:class` - CSS classes for the item (optional)\n  * `:disabled` - Whether the item is disabled (optional, defaults to false)\n* `:divider` - Slot for menu divider lines (no attributes required)","ref":"PineUiPhoenix.Dropdown.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.Dropdown.context_menu/1","doc":"Renders a contextual menu.\n\nThis component creates a dropdown menu that appears at the cursor position\nwhen triggered, ideal for context or right-click menus.","ref":"PineUiPhoenix.Dropdown.html#context_menu/1"},{"type":"function","title":"Examples - PineUiPhoenix.Dropdown.context_menu/1","doc":"<.context_menu id=\"context-menu\">\n      <:item on_click=\"edit\">Edit</:item>\n      <:item on_click=\"copy\">Copy</:item>\n      <:item on_click=\"delete\" class=\"text-red-600\">Delete</:item>\n    </.context_menu>\n\n     \n      Right-click me","ref":"PineUiPhoenix.Dropdown.html#context_menu/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Dropdown.context_menu/1","doc":"* `:id` - Unique identifier for the context menu (required)\n* `:width` - Menu width: \"auto\", \"sm\", \"md\", \"lg\" (optional, defaults to \"auto\")\n* `:menu_class` - CSS classes for the context menu (optional)\n* `:item` - Menu item slots with the following attributes:\n  * `:href` - URL for link items (either this or on_click is typically provided)\n  * `:on_click` - Click event name for button items (either this or href is typically provided)\n  * `:icon` - Icon markup for the menu item (optional)\n  * `:class` - CSS classes for the item (optional)\n  * `:disabled` - Whether the item is disabled (optional, defaults to false)\n* `:divider` - Slot for menu divider lines (no attributes required)","ref":"PineUiPhoenix.Dropdown.html#context_menu/1-options"},{"type":"function","title":"PineUiPhoenix.Dropdown.with_icons/1","doc":"Renders a dropdown menu with item icons.\n\nThis component creates a dropdown menu with icon support for menu items.","ref":"PineUiPhoenix.Dropdown.html#with_icons/1"},{"type":"function","title":"Examples - PineUiPhoenix.Dropdown.with_icons/1","doc":"<.with_icons id=\"file-menu\" label=\"File\">\n      <:item\n        href=\"#\"\n        icon={~H\" \n           \n         \"}\n      >\n        New Document\n      </:item>\n      <:item\n        href=\"#\"\n        icon={~H\" \n           \n         \"}\n      >\n        Open\n      </:item>\n      <:divider />\n      <:item\n        href=\"#\"\n        icon={~H\" \n           \n         \"}\n      >\n        Save\n      </:item>\n    </.with_icons>","ref":"PineUiPhoenix.Dropdown.html#with_icons/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Dropdown.with_icons/1","doc":"* `:id` - Unique identifier for the dropdown (required)\n* `:label` - Text for the trigger button (either this or icon is required)\n* `:icon` - Icon markup for the trigger button (either this or label is required)\n* `:position` - Menu position: \"bottom-left\", \"bottom-right\", \"top-left\", \"top-right\" (optional, defaults to \"bottom-left\")\n* `:width` - Menu width: \"auto\", \"sm\", \"md\", \"lg\" (optional, defaults to \"auto\")\n* `:button_class` - CSS classes for the trigger button (optional)\n* `:menu_class` - CSS classes for the dropdown menu (optional)\n* `:item` - Menu item slots with the following attributes:\n  * `:href` - URL for link items (either this or on_click is typically provided)\n  * `:on_click` - Click event name for button items (either this or href is typically provided)\n  * `:icon` - Icon markup for the menu item (optional)\n  * `:class` - CSS classes for the item (optional)\n  * `:disabled` - Whether the item is disabled (optional, defaults to false)\n* `:divider` - Slot for menu divider lines (no attributes required)","ref":"PineUiPhoenix.Dropdown.html#with_icons/1-options"},{"type":"module","title":"PineUiPhoenix.Modal","doc":"Provides modal dialog components for displaying content that requires user attention.\n\nThe Modal module offers different variants:\n- `basic/1` - Standard modal dialog with customizable size\n- `full_screen/1` - Full screen modal that covers the entire viewport\n- `side/1` - Slide-in modal that appears from the side of the screen","ref":"PineUiPhoenix.Modal.html"},{"type":"function","title":"PineUiPhoenix.Modal.basic/1","doc":"Renders a basic modal dialog component.\n\nThis component creates a modal dialog that appears centered on the screen.\nIt includes a backdrop overlay, title, optional close button, and content area.","ref":"PineUiPhoenix.Modal.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.Modal.basic/1","doc":"<.basic id=\"confirm-modal\" title=\"Confirm Action\">\n       Are you sure you want to perform this action? \n       \n         Cancel \n         Confirm \n       \n    </.basic>\n\n     Open Modal","ref":"PineUiPhoenix.Modal.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Modal.basic/1","doc":"* `:id` - Unique identifier for the modal (required)\n* `:title` - Modal dialog title (optional)\n* `:show_close_button` - Whether to show the close button (optional, defaults to true)\n* `:max_width` - Maximum width of the modal: \"sm\", \"md\", \"lg\", \"xl\", \"2xl\", \"full\" (optional, defaults to \"lg\")\n* `:class` - Additional CSS classes for the modal container (optional)\n* `:header_class` - CSS classes for the modal header (optional)\n* `:content_class` - CSS classes for the modal content area (optional)\n* `:overlay_class` - CSS classes for the backdrop overlay (optional)\n* `:focus_element` - ID of element to focus when modal opens (optional, defaults to first focusable element)","ref":"PineUiPhoenix.Modal.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.Modal.full_screen/1","doc":"Renders a full screen modal that covers the entire viewport.\n\nThis component creates a modal that takes up the full screen when opened,\nwith a header that contains the title and close button.","ref":"PineUiPhoenix.Modal.html#full_screen/1"},{"type":"function","title":"Examples - PineUiPhoenix.Modal.full_screen/1","doc":"<.full_screen id=\"settings-modal\" title=\"Application Settings\">\n       \n         Full screen modal content goes here. \n       \n    </.full_screen>\n\n     Settings","ref":"PineUiPhoenix.Modal.html#full_screen/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Modal.full_screen/1","doc":"* `:id` - Unique identifier for the modal (required)\n* `:title` - Modal dialog title (optional)\n* `:show_close_button` - Whether to show the close button (optional, defaults to true)\n* `:class` - Additional CSS classes for the modal container (optional)\n* `:header_class` - CSS classes for the modal header (optional)\n* `:content_class` - CSS classes for the modal content area (optional)","ref":"PineUiPhoenix.Modal.html#full_screen/1-options"},{"type":"function","title":"PineUiPhoenix.Modal.side/1","doc":"Renders a slide-over modal that appears from the side of the screen.\n\nThis component creates a modal that slides in from the specified side\n(right by default) and covers a portion of the screen.","ref":"PineUiPhoenix.Modal.html#side/1"},{"type":"function","title":"Examples - PineUiPhoenix.Modal.side/1","doc":"<.side id=\"cart-modal\" title=\"Shopping Cart\">\n       \n         Cart content goes here. \n       \n    </.side>\n\n     View Cart","ref":"PineUiPhoenix.Modal.html#side/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Modal.side/1","doc":"* `:id` - Unique identifier for the modal (required)\n* `:title` - Modal dialog title (optional)\n* `:show_close_button` - Whether to show the close button (optional, defaults to true)\n* `:side` - Which side the modal slides in from: \"right\" or \"left\" (optional, defaults to \"right\")\n* `:width` - Width of the slide-over panel: \"sm\", \"md\", \"lg\", \"xl\", \"2xl\", \"full\" (optional, defaults to \"md\")\n* `:class` - Additional CSS classes for the modal container (optional)\n* `:header_class` - CSS classes for the modal header (optional)\n* `:content_class` - CSS classes for the modal content area (optional)\n* `:overlay_class` - CSS classes for the backdrop overlay (optional)","ref":"PineUiPhoenix.Modal.html#side/1-options"},{"type":"module","title":"PineUiPhoenix.Pagination","doc":"Provides pagination components for navigating through pages of content.\n\nThe Pagination module offers components for creating pagination interfaces\nthat help users navigate through multi-page content in a user-friendly way.","ref":"PineUiPhoenix.Pagination.html"},{"type":"function","title":"PineUiPhoenix.Pagination.basic/1","doc":"Renders a basic pagination component.\n\nThis component creates a pagination interface with page numbers and\nnavigation controls.","ref":"PineUiPhoenix.Pagination.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.Pagination.basic/1","doc":"<.basic\n      current_page={5}\n      total_pages={10}\n      on_page_change=\"change_page\"\n    />\n\n    <.basic\n      current_page={3}\n      total_pages={20}\n      sibling_count={2}\n      show_first_last_buttons={true}\n      variant=\"indigo\"\n    />","ref":"PineUiPhoenix.Pagination.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Pagination.basic/1","doc":"* `:current_page` - Current active page (required, 1-based index)\n* `:total_pages` - Total number of pages (required)\n* `:sibling_count` - Number of sibling pages to show on each side of current page (optional, defaults to 1)\n* `:show_first_last_buttons` - Whether to show first/last page buttons (optional, defaults to false)\n* `:show_ellipsis` - Whether to show ellipsis for hidden pages (optional, defaults to true)\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:size` - Size of the pagination: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:class` - Additional CSS classes for the pagination container (optional)\n* `:item_class` - CSS classes for the page items (optional)\n* `:on_page_change` - Event name or function for page change (optional)","ref":"PineUiPhoenix.Pagination.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.Pagination.load_more/1","doc":"Renders a \"load more\" pagination component.\n\nThis component creates a button that loads additional content\nrather than using traditional pagination.","ref":"PineUiPhoenix.Pagination.html#load_more/1"},{"type":"function","title":"Examples - PineUiPhoenix.Pagination.load_more/1","doc":"<.load_more\n      current_page={2}\n      total_pages={5}\n      label=\"Load more results\"\n      on_load_more=\"load_more\"\n    />","ref":"PineUiPhoenix.Pagination.html#load_more/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Pagination.load_more/1","doc":"* `:current_page` - Current active page (required, 1-based index)\n* `:total_pages` - Total number of pages (required)\n* `:label` - Text for the load more button (optional, defaults to \"Load more\")\n* `:loading_label` - Text shown when loading (optional, defaults to \"Loading...\")\n* `:show_progress` - Whether to show loading progress (optional, defaults to false)\n* `:show_remaining` - Whether to show count of remaining items (optional, defaults to false)\n* `:items_per_page` - Number of items loaded per page (optional, required if show_remaining is true)\n* `:total_items` - Total number of items (optional, required if show_remaining is true)\n* `:loading` - Whether loading is in progress (optional, defaults to false)\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the container (optional)\n* `:button_class` - CSS classes for the button (optional)\n* `:on_load_more` - Event name or function for loading more (optional)","ref":"PineUiPhoenix.Pagination.html#load_more/1-options"},{"type":"function","title":"PineUiPhoenix.Pagination.simple/1","doc":"Renders a simple pagination component with prev/next buttons.\n\nThis component creates a simpler pagination interface with just the\nessential navigation controls.","ref":"PineUiPhoenix.Pagination.html#simple/1"},{"type":"function","title":"Examples - PineUiPhoenix.Pagination.simple/1","doc":"<.simple\n      current_page={5}\n      total_pages={10}\n      on_page_change=\"change_page\"\n    />","ref":"PineUiPhoenix.Pagination.html#simple/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Pagination.simple/1","doc":"* `:current_page` - Current active page (required, 1-based index)\n* `:total_pages` - Total number of pages (required)\n* `:show_page_info` - Whether to show current/total page info (optional, defaults to true)\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:size` - Size of the pagination: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:class` - Additional CSS classes for the pagination container (optional)\n* `:on_page_change` - Event name or function for page change (optional)","ref":"PineUiPhoenix.Pagination.html#simple/1-options"},{"type":"module","title":"PineUiPhoenix.Progress","doc":"Provides progress indicator components for displaying completion status.\n\nThe Progress module offers components for showing progress in various forms:\n- `bar/1` - Standard progress bar with customizable appearance\n- `circle/1` - Circular progress indicator\n- `steps/1` - Multi-step progress indicator for workflows","ref":"PineUiPhoenix.Progress.html"},{"type":"function","title":"PineUiPhoenix.Progress.bar/1","doc":"Renders a progress bar component.\n\nThis component creates a horizontal progress bar that visually represents\ncompletion progress.","ref":"PineUiPhoenix.Progress.html#bar/1"},{"type":"function","title":"Examples - PineUiPhoenix.Progress.bar/1","doc":"<.bar value={75} />\n\n    <.bar\n      value={42}\n      max={100}\n      label=\"Uploading...\"\n      show_percentage={true}\n      size=\"lg\"\n      variant=\"indigo\"\n    />","ref":"PineUiPhoenix.Progress.html#bar/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Progress.bar/1","doc":"* `:value` - Current progress value (required)\n* `:max` - Maximum value representing 100% completion (optional, defaults to 100)\n* `:label` - Text label for the progress bar (optional)\n* `:show_percentage` - Whether to show percentage text (optional, defaults to false)\n* `:size` - Size of the bar: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the progress container (optional)\n* `:bar_class` - CSS classes for the progress bar itself (optional)\n* `:label_class` - CSS classes for the label text (optional)","ref":"PineUiPhoenix.Progress.html#bar/1-options"},{"type":"function","title":"PineUiPhoenix.Progress.circle/1","doc":"Renders a circular progress indicator.\n\nThis component creates a circular progress indicator with customizable appearance.","ref":"PineUiPhoenix.Progress.html#circle/1"},{"type":"function","title":"Examples - PineUiPhoenix.Progress.circle/1","doc":"<.circle value={75} />\n\n    <.circle\n      value={42}\n      max={100}\n      label=\"Uploading...\"\n      show_percentage={true}\n      size=\"lg\"\n      variant=\"indigo\"\n    />","ref":"PineUiPhoenix.Progress.html#circle/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Progress.circle/1","doc":"* `:value` - Current progress value (required)\n* `:max` - Maximum value representing 100% completion (optional, defaults to 100)\n* `:label` - Text label for the progress circle (optional)\n* `:show_percentage` - Whether to show percentage text inside the circle (optional, defaults to false)\n* `:size` - Size of the circle: \"sm\", \"md\", \"lg\", \"xl\" (optional, defaults to \"md\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:track_width` - Width of the circle track: \"thin\", \"normal\", \"thick\" (optional, defaults to \"normal\")\n* `:class` - Additional CSS classes for the progress container (optional)\n* `:circle_class` - CSS classes for the circle itself (optional)\n* `:label_class` - CSS classes for the label text (optional)","ref":"PineUiPhoenix.Progress.html#circle/1-options"},{"type":"function","title":"PineUiPhoenix.Progress.steps/1","doc":"Renders a multi-step progress indicator.\n\nThis component creates a horizontal step indicator for processes or workflows.","ref":"PineUiPhoenix.Progress.html#steps/1"},{"type":"function","title":"Examples - PineUiPhoenix.Progress.steps/1","doc":"<.steps\n      steps={[\"Cart\", \"Shipping\", \"Payment\", \"Confirmation\"]}\n      current_step={2}\n    />\n\n    <.steps\n      steps={[\n        %{title: \"Account\", description: \"Personal information\"},\n        %{title: \"Profile\", description: \"Additional details\"},\n        %{title: \"Complete\", description: \"Review submission\"}\n      ]}\n      current_step={1}\n      variant=\"green\"\n    />","ref":"PineUiPhoenix.Progress.html#steps/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Progress.steps/1","doc":"* `:steps` - List of step titles or maps with title and description (required)\n* `:current_step` - Index of the current active step (0-based, required)\n* `:orientation` - Direction of the steps: \"horizontal\" or \"vertical\" (optional, defaults to \"horizontal\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the steps container (optional)\n* `:connector_class` - CSS classes for the connecting lines (optional)\n* `:step_class` - CSS classes for the step indicators (optional)","ref":"PineUiPhoenix.Progress.html#steps/1-options"},{"type":"module","title":"PineUiPhoenix.Switch","doc":"Provides toggle switch components for binary choices.\n\nThe Switch module offers toggle switches that provide a visual way to\nenable or disable options. These components are designed to be accessible\nand integrate well with Phoenix forms.","ref":"PineUiPhoenix.Switch.html"},{"type":"function","title":"PineUiPhoenix.Switch.basic/1","doc":"Renders a basic toggle switch component.\n\nThis component creates a simple on/off toggle switch for boolean options.","ref":"PineUiPhoenix.Switch.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.Switch.basic/1","doc":"<.basic\n      id=\"notifications\"\n      name=\"user[notifications]\"\n      value={@user.notifications}\n      label=\"Enable notifications\"\n    />\n\n    <.basic\n      id=\"dark_mode\"\n      value={false}\n      label=\"Dark mode\"\n      size=\"sm\"\n      variant=\"indigo\"\n    />","ref":"PineUiPhoenix.Switch.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Switch.basic/1","doc":"* `:id` - The ID for the switch element (required)\n* `:name` - The name attribute for form submission (optional, defaults to ID)\n* `:value` - Whether the switch is on or off (optional, defaults to false)\n* `:label` - Text label for the switch (optional)\n* `:help_text` - Help text displayed below the switch (optional)\n* `:disabled` - Whether the switch is disabled (optional, defaults to false)\n* `:size` - Size of the switch: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the switch container (optional)\n* `:label_class` - CSS classes for the label text (optional)\n* `:phx_change` - Phoenix change event name (optional)","ref":"PineUiPhoenix.Switch.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.Switch.card_switch/1","doc":"Renders a card-style toggle switch component.\n\nThis component creates an elegant card-style switch with label and icon.","ref":"PineUiPhoenix.Switch.html#card_switch/1"},{"type":"function","title":"Examples - PineUiPhoenix.Switch.card_switch/1","doc":"<.card_switch\n      id=\"auto_renewal\"\n      value={true}\n      title=\"Auto-renewal\"\n      description=\"Automatically renew your subscription\"\n      icon={~H\" \n         \n       \"}\n    />","ref":"PineUiPhoenix.Switch.html#card_switch/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Switch.card_switch/1","doc":"* `:id` - The ID for the switch element (required)\n* `:name` - The name attribute for form submission (optional, defaults to ID)\n* `:value` - Whether the switch is on or off (optional, defaults to false)\n* `:title` - The card title text (optional)\n* `:description` - Descriptive text for the switch (optional)\n* `:icon` - Icon markup to display (optional)\n* `:disabled` - Whether the switch is disabled (optional, defaults to false)\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the card container (optional)\n* `:phx_change` - Phoenix change event name (optional)","ref":"PineUiPhoenix.Switch.html#card_switch/1-options"},{"type":"function","title":"PineUiPhoenix.Switch.labeled_switch/1","doc":"Renders a labeled toggle switch component with a descriptive label on each side.\n\nThis component creates a switch with labels for both on and off states.","ref":"PineUiPhoenix.Switch.html#labeled_switch/1"},{"type":"function","title":"Examples - PineUiPhoenix.Switch.labeled_switch/1","doc":"<.labeled_switch\n      id=\"status\"\n      name=\"project[status]\"\n      value={@project.status}\n      left_label=\"Draft\"\n      right_label=\"Published\"\n    />","ref":"PineUiPhoenix.Switch.html#labeled_switch/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Switch.labeled_switch/1","doc":"* `:id` - The ID for the switch element (required)\n* `:name` - The name attribute for form submission (optional, defaults to ID)\n* `:value` - Whether the switch is on or off (optional, defaults to false)\n* `:left_label` - Text label for the off state (optional, defaults to \"Off\")\n* `:right_label` - Text label for the on state (optional, defaults to \"On\")\n* `:help_text` - Help text displayed below the switch (optional)\n* `:disabled` - Whether the switch is disabled (optional, defaults to false)\n* `:size` - Size of the switch: \"sm\", \"md\", \"lg\" (optional, defaults to \"md\")\n* `:variant` - Color variant: \"indigo\", \"blue\", \"green\", \"red\", \"amber\" (optional, defaults to \"indigo\")\n* `:class` - Additional CSS classes for the switch container (optional)\n* `:phx_change` - Phoenix change event name (optional)","ref":"PineUiPhoenix.Switch.html#labeled_switch/1-options"},{"type":"module","title":"PineUiPhoenix.Tabs","doc":"Provides tabs components for organizing content into selectable panes.\n\nThe Tabs module offers tab navigation components that allow users to switch\nbetween different content sections within the same area, preserving space\nwhile maintaining organization.","ref":"PineUiPhoenix.Tabs.html"},{"type":"function","title":"PineUiPhoenix.Tabs.basic/1","doc":"Renders a basic tabs component with tab buttons and content panes.\n\nThis component creates a tabbed interface where clicking on a tab button\ndisplays its associated content pane.","ref":"PineUiPhoenix.Tabs.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.Tabs.basic/1","doc":"<.basic>\n      <:tab title=\"Account Settings\" active={true}>\n         Content for the Account Settings tab. \n      </:tab>\n      <:tab title=\"Profile\">\n         Content for the Profile tab. \n      </:tab>\n      <:tab title=\"Notifications\">\n         Content for the Notifications tab. \n      </:tab>\n    </.basic>","ref":"PineUiPhoenix.Tabs.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Tabs.basic/1","doc":"* `:class` - Additional CSS classes for the tabs container (optional)\n* `:tab_list_class` - CSS classes for the tab button list (optional)\n* `:tab_button_class` - Base CSS classes for all tab buttons (optional)\n* `:tab_button_active_class` - CSS classes added to the active tab button (optional)\n* `:tab_button_inactive_class` - CSS classes added to inactive tab buttons (optional)\n* `:tab_panel_class` - CSS classes for the tab content panels (optional)\n* `:tab` - Tab slots with the following attributes:\n  * `:title` - Text displayed in the tab button (required)\n  * `:active` - Whether this tab is selected initially (optional, defaults to false)\n  * `:disabled` - Whether this tab is disabled (optional, defaults to false)","ref":"PineUiPhoenix.Tabs.html#basic/1-options"},{"type":"function","title":"Slots - PineUiPhoenix.Tabs.basic/1","doc":"* `tab` (required) - Accepts attributes:\n\n  * `title` (`:string`)\n  * `active` (`:string`)\n  * `disabled` (`:boolean`)","ref":"PineUiPhoenix.Tabs.html#basic/1-slots"},{"type":"function","title":"PineUiPhoenix.Tabs.boxed/1","doc":"Renders a boxed tabs component with full-width tab panels and border.\n\nThis component creates a tabbed interface with box-style tabs and\ncontent panels with a border.","ref":"PineUiPhoenix.Tabs.html#boxed/1"},{"type":"function","title":"Examples - PineUiPhoenix.Tabs.boxed/1","doc":"<.boxed>\n      <:tab title=\"Comments\" active={true}>\n         Comments content goes here. \n      </:tab>\n      <:tab title=\"Activity\">\n         Activity content goes here. \n      </:tab>\n      <:tab title=\"Archives\">\n         Archives content goes here. \n      </:tab>\n    </.boxed>","ref":"PineUiPhoenix.Tabs.html#boxed/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Tabs.boxed/1","doc":"* `:class` - Additional CSS classes for the tabs container (optional)\n* `:tab_list_class` - CSS classes for the boxed tab list (optional)\n* `:tab_button_class` - Base CSS classes for all boxed tab buttons (optional)\n* `:tab_button_active_class` - CSS classes added to the active boxed tab (optional)\n* `:tab_button_inactive_class` - CSS classes added to inactive boxed tabs (optional)\n* `:tab_panel_class` - CSS classes for the tab content panels (optional)\n* `:tab` - Tab slots with the same attributes as in the `basic/1` component","ref":"PineUiPhoenix.Tabs.html#boxed/1-options"},{"type":"function","title":"PineUiPhoenix.Tabs.pills/1","doc":"Renders a pill-style tabs component with rounded tab buttons.\n\nThis component creates a tabbed interface with pill-shaped tab buttons.","ref":"PineUiPhoenix.Tabs.html#pills/1"},{"type":"function","title":"Examples - PineUiPhoenix.Tabs.pills/1","doc":"<.pills>\n      <:tab title=\"Overview\" active={true}>\n         Overview content goes here. \n      </:tab>\n      <:tab title=\"Features\">\n         Features content goes here. \n      </:tab>\n      <:tab title=\"Specifications\">\n         Specifications content goes here. \n      </:tab>\n    </.pills>","ref":"PineUiPhoenix.Tabs.html#pills/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Tabs.pills/1","doc":"* `:class` - Additional CSS classes for the tabs container (optional)\n* `:tab_list_class` - CSS classes for the pill tab list (optional)\n* `:tab_button_class` - Base CSS classes for all pill tab buttons (optional)\n* `:tab_button_active_class` - CSS classes added to the active pill tab (optional)\n* `:tab_button_inactive_class` - CSS classes added to inactive pill tabs (optional)\n* `:tab_panel_class` - CSS classes for the tab content panels (optional)\n* `:tab` - Tab slots with the same attributes as in the `basic/1` component","ref":"PineUiPhoenix.Tabs.html#pills/1-options"},{"type":"function","title":"Slots - PineUiPhoenix.Tabs.pills/1","doc":"* `tab` (required) - Accepts attributes:\n\n  * `title` (`:string`)\n  * `active` (`:string`)\n  * `disabled` (`:boolean`)","ref":"PineUiPhoenix.Tabs.html#pills/1-slots"},{"type":"module","title":"PineUiPhoenix.Toast","doc":"Provides toast notification components for displaying temporary messages.\n\nThe Toast module offers components for creating non-intrusive notifications\nthat appear temporarily and automatically dismiss after a configurable period.","ref":"PineUiPhoenix.Toast.html"},{"type":"function","title":"PineUiPhoenix.Toast.container/1","doc":"Renders a toast notification container.\n\nThis component creates a container for toast notifications. It's designed to be\nplaced at the root of your application layout.","ref":"PineUiPhoenix.Toast.html#container/1"},{"type":"function","title":"Examples - PineUiPhoenix.Toast.container/1","doc":"<.container />\n\n    <.container\n      position=\"bottom-right\"\n      transition=\"slide\"\n    />","ref":"PineUiPhoenix.Toast.html#container/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Toast.container/1","doc":"* `:position` - Position of the toasts: \"top-right\", \"top-left\", \"bottom-right\", \"bottom-left\", \"top-center\", \"bottom-center\" (optional, defaults to \"top-right\")\n* `:transition` - Animation style: \"fade\", \"slide\", \"zoom\" (optional, defaults to \"fade\")\n* `:max_toasts` - Maximum number of toasts to show at once (optional, defaults to 5)\n* `:class` - Additional CSS classes for the container (optional)","ref":"PineUiPhoenix.Toast.html#container/1-options"},{"type":"function","title":"PineUiPhoenix.Toast.toast/1","doc":"Renders a standalone toast notification.\n\nThis component creates a single toast notification that can be shown directly\nin the UI (not via the notification system).","ref":"PineUiPhoenix.Toast.html#toast/1"},{"type":"function","title":"Examples - PineUiPhoenix.Toast.toast/1","doc":"<.toast\n      type=\"success\"\n      title=\"Success!\"\n      message=\"Your changes have been saved.\"\n    />\n\n    <.toast\n      type=\"error\"\n      message=\"Failed to save changes.\"\n      dismissable={true}\n    />","ref":"PineUiPhoenix.Toast.html#toast/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Toast.toast/1","doc":"* `:type` - Toast type: \"default\", \"success\", \"error\", \"warning\", \"info\" (optional, defaults to \"default\")\n* `:title` - Toast title text (optional)\n* `:message` - Toast message text (required)\n* `:icon` - HTML string for custom icon (optional, for default type only)\n* `:dismissable` - Whether the toast can be dismissed (optional, defaults to false)\n* `:class` - Additional CSS classes for the toast (optional)","ref":"PineUiPhoenix.Toast.html#toast/1-options"},{"type":"function","title":"PineUiPhoenix.Toast.trigger/1","doc":"Renders a button that triggers a toast notification.\n\nThis component creates a button that shows a toast notification\nwhen clicked.","ref":"PineUiPhoenix.Toast.html#trigger/1"},{"type":"function","title":"Examples - PineUiPhoenix.Toast.trigger/1","doc":"<.trigger\n      label=\"Show Success Toast\"\n      type=\"success\"\n      title=\"Success!\"\n      message=\"Operation completed successfully.\"\n    />","ref":"PineUiPhoenix.Toast.html#trigger/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Toast.trigger/1","doc":"* `:label` - Button text (required)\n* `:type` - Toast type: \"default\", \"success\", \"error\", \"warning\", \"info\" (optional, defaults to \"default\")\n* `:title` - Toast title text (optional)\n* `:message` - Toast message text (required)\n* `:duration` - Duration in milliseconds before auto-dismiss (optional, defaults to 5000, set to 0 to disable)\n* `:position` - Position override for the toast (optional)\n* `:button_class` - CSS classes for the button (optional)\n* `:button_variant` - Button variant: \"primary\", \"secondary\", \"outline\" (optional, defaults to \"primary\")","ref":"PineUiPhoenix.Toast.html#trigger/1-options"},{"type":"module","title":"PineUiPhoenix.Card","doc":"Provides card components for organizing content with various behaviors.\n\nThe Card module offers three main variants:\n\n- `basic/1` - Simple card with title, subtitle, content area, and optional footer\n- `interactive/1` - Card with hover animation effects\n- `collapsible/1` - Expandable/collapsible card with toggle functionality","ref":"PineUiPhoenix.Card.html"},{"type":"module","title":"Examples - PineUiPhoenix.Card","doc":"Card content here \n     \n\n     \n       This card has hover effects \n     \n\n     \n       This content can be hidden","ref":"PineUiPhoenix.Card.html#module-examples"},{"type":"module","title":"Styling - PineUiPhoenix.Card","doc":"Cards use TailwindCSS for styling and can be customized using the `class` parameter.","ref":"PineUiPhoenix.Card.html#module-styling"},{"type":"function","title":"PineUiPhoenix.Card.basic/1","doc":"Renders a basic card component.","ref":"PineUiPhoenix.Card.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.Card.basic/1","doc":"<.basic title=\"Card Title\">\n       Content goes here \n    </.basic>\n\n    <.basic title=\"Card with Footer\" subtitle=\"With explanation\" footer=\"Last updated: Yesterday\">\n       Content goes here \n    </.basic>","ref":"PineUiPhoenix.Card.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Card.basic/1","doc":"* `:title` - Card title text (optional)\n* `:subtitle` - Card subtitle text (optional)\n* `:footer` - Footer content (optional)\n* `:padded` - Whether to add padding to the body (optional, defaults to true)\n* `:class` - Additional CSS classes for the card container (optional)","ref":"PineUiPhoenix.Card.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.Card.collapsible/1","doc":"Renders a collapsible card component with expand/collapse functionality.\n\nThis card can be toggled between expanded and collapsed states by clicking\non the header. Uses AlpineJS for the toggle functionality.","ref":"PineUiPhoenix.Card.html#collapsible/1"},{"type":"function","title":"Examples - PineUiPhoenix.Card.collapsible/1","doc":"<.collapsible title=\"Click to toggle\">\n       This content can be hidden \n    </.collapsible>\n\n    <.collapsible title=\"Initially expanded\" open={true}>\n       This content is visible by default \n    </.collapsible>","ref":"PineUiPhoenix.Card.html#collapsible/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Card.collapsible/1","doc":"* `:title` - Card title text (optional)\n* `:subtitle` - Card subtitle text (optional)\n* `:footer` - Footer content (optional)\n* `:padded` - Whether to add padding to the body (optional, defaults to true)\n* `:open` - Whether the card is expanded on initial render (optional, defaults to false)\n* `:class` - Additional CSS classes for the card container (optional)","ref":"PineUiPhoenix.Card.html#collapsible/1-options"},{"type":"function","title":"PineUiPhoenix.Card.interactive/1","doc":"Renders an interactive card component with hover effects.\n\nThis card variant adds subtle animation effects when hovered,\nmaking it ideal for clickable cards or emphasizing important content.","ref":"PineUiPhoenix.Card.html#interactive/1"},{"type":"function","title":"Examples - PineUiPhoenix.Card.interactive/1","doc":"<.interactive>\n       Hover over me to see effects \n    </.interactive>\n\n    <.interactive title=\"Interactive Card\" subtitle=\"With animations\">\n       Content with hover effects \n    </.interactive>","ref":"PineUiPhoenix.Card.html#interactive/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Card.interactive/1","doc":"* `:title` - Card title text (optional)\n* `:subtitle` - Card subtitle text (optional)\n* `:footer` - Footer content (optional)\n* `:padded` - Whether to add padding to the body (optional, defaults to true)\n* `:class` - Additional CSS classes for the card container (optional)","ref":"PineUiPhoenix.Card.html#interactive/1-options"},{"type":"module","title":"PineUiPhoenix.DataTable","doc":"Provides data table components for displaying tabular data with sorting and filtering.\n\nThe DataTable module offers components for creating interactive tables\nthat allow users to sort, filter, and paginate through tabular data.","ref":"PineUiPhoenix.DataTable.html"},{"type":"function","title":"PineUiPhoenix.DataTable.basic/1","doc":"Renders a basic data table component.\n\nThis component creates a table for displaying tabular data with\noptional sorting, filtering, and pagination.","ref":"PineUiPhoenix.DataTable.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.DataTable.basic/1","doc":"<.basic\n      id=\"users-table\"\n      columns={[\n        %{key: \"name\", label: \"Name\", sortable: true},\n        %{key: \"email\", label: \"Email\"},\n        %{key: \"role\", label: \"Role\", filterable: true}\n      ]}\n      data={@users}\n    />\n\n    <.basic\n      id=\"products-table\"\n      columns={@columns}\n      data={@products}\n      sortable={true}\n      filterable={true}\n      paginate={true}\n      per_page={10}\n    />","ref":"PineUiPhoenix.DataTable.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.DataTable.basic/1","doc":"* `:id` - Unique identifier for the table (required)\n* `:columns` - List of column configuration maps (required)\n* `:data` - List of data items to display in the table (required)\n* `:sortable` - Whether sorting is enabled globally (optional, defaults to false)\n* `:filterable` - Whether filtering is enabled globally (optional, defaults to false)\n* `:paginate` - Whether pagination is enabled (optional, defaults to false)\n* `:per_page` - Number of items per page when pagination is enabled (optional, defaults to 10)\n* `:selectable` - Whether rows can be selected with checkboxes (optional, defaults to false)\n* `:class` - Additional CSS classes for the table container (optional)\n* `:table_class` - CSS classes for the table element (optional)\n* `:empty_state` - Content to display when there are no rows to show (optional)\n* `:row_click` - Event name or function to call when a row is clicked (optional)\n* `:on_selection_change` - Event name or function to call when selection changes (optional)","ref":"PineUiPhoenix.DataTable.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.DataTable.expandable/1","doc":"Renders a data table with expandable rows.\n\nThis component creates a table where rows can be expanded to show additional details.","ref":"PineUiPhoenix.DataTable.html#expandable/1"},{"type":"function","title":"Examples - PineUiPhoenix.DataTable.expandable/1","doc":"<.expandable\n      id=\"orders-table\"\n      columns={[\n        %{key: \"order_id\", label: \"Order ID\"},\n        %{key: \"customer\", label: \"Customer\"},\n        %{key: \"date\", label: \"Date\"},\n        %{key: \"status\", label: \"Status\"}\n      ]}\n      data={@orders}\n    >\n      <:expanded_row :let={row}>\n         \n           Order Details \n           Items: <%= row.items.length %> \n           Total: $<%= row.total %> \n         \n      </:expanded_row>\n    </.expandable>","ref":"PineUiPhoenix.DataTable.html#expandable/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.DataTable.expandable/1","doc":"* `:id` - Unique identifier for the table (required)\n* `:columns` - List of column configuration maps (required)\n* `:data` - List of data items to display in the table (required)\n* `:sortable` - Whether sorting is enabled globally (optional, defaults to false)\n* `:filterable` - Whether filtering is enabled globally (optional, defaults to false)\n* `:paginate` - Whether pagination is enabled (optional, defaults to false)\n* `:per_page` - Number of items per page when pagination is enabled (optional, defaults to 10)\n* `:class` - Additional CSS classes for the table container (optional)\n* `:table_class` - CSS classes for the table element (optional)\n* `:empty_state` - Content to display when there are no rows to show (optional)\n* `:expanded_row` - Slot for customizing the expanded row content (required)","ref":"PineUiPhoenix.DataTable.html#expandable/1-options"},{"type":"module","title":"PineUiPhoenix.Gallery","doc":"Provides image gallery components for displaying collections of images.\n\nThe Gallery module offers components for creating responsive image galleries\nwith different layouts and interactive features like lightbox previews.","ref":"PineUiPhoenix.Gallery.html"},{"type":"function","title":"PineUiPhoenix.Gallery.carousel/1","doc":"Renders a carousel gallery component.\n\nThis component creates a slideshow carousel for displaying images.","ref":"PineUiPhoenix.Gallery.html#carousel/1"},{"type":"function","title":"Examples - PineUiPhoenix.Gallery.carousel/1","doc":"<.carousel\n      images={[\n        %{src: \"/images/photo1.jpg\", alt: \"Photo 1\"},\n        %{src: \"/images/photo2.jpg\", alt: \"Photo 2\"},\n        %{src: \"/images/photo3.jpg\", alt: \"Photo 3\"}\n      ]}\n    />\n\n    <.carousel\n      images={@photos}\n      autoplay={true}\n      autoplay_speed={3000}\n      show_thumbnails={true}\n    />","ref":"PineUiPhoenix.Gallery.html#carousel/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Gallery.carousel/1","doc":"* `:images` - List of image maps with src and alt keys (required)\n* `:aspect_ratio` - Image aspect ratio: \"square\", \"video\", \"portrait\" (optional, defaults to \"video\")\n* `:rounded` - Whether to round image corners (optional, defaults to true)\n* `:show_indicators` - Whether to show slide indicators (optional, defaults to true)\n* `:show_arrows` - Whether to show navigation arrows (optional, defaults to true)\n* `:show_thumbnails` - Whether to show thumbnail navigation (optional, defaults to false)\n* `:autoplay` - Whether to autoplay the carousel (optional, defaults to false)\n* `:autoplay_speed` - Autoplay speed in milliseconds (optional, defaults to 5000)\n* `:class` - Additional CSS classes for the carousel container (optional)\n* `:image_class` - CSS classes for the images (optional)","ref":"PineUiPhoenix.Gallery.html#carousel/1-options"},{"type":"function","title":"PineUiPhoenix.Gallery.grid/1","doc":"Renders a basic grid gallery component.\n\nThis component creates a responsive grid layout for displaying multiple images.","ref":"PineUiPhoenix.Gallery.html#grid/1"},{"type":"function","title":"Examples - PineUiPhoenix.Gallery.grid/1","doc":"<.grid\n      images={[\n        %{src: \"/images/photo1.jpg\", alt: \"Photo 1\"},\n        %{src: \"/images/photo2.jpg\", alt: \"Photo 2\"},\n        %{src: \"/images/photo3.jpg\", alt: \"Photo 3\"}\n      ]}\n    />\n\n    <.grid\n      images={@photos}\n      columns={3}\n      gap=\"4\"\n      enable_lightbox={true}\n    />","ref":"PineUiPhoenix.Gallery.html#grid/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Gallery.grid/1","doc":"* `:images` - List of image maps with src and alt keys (required)\n* `:columns` - Number of columns in the grid: 1, 2, 3, 4, 5, 6 (optional, defaults to 3)\n* `:gap` - Gap size between grid items: \"1\", \"2\", \"4\", \"6\", \"8\" (optional, defaults to \"4\")\n* `:aspect_ratio` - Image aspect ratio: \"square\", \"video\", \"portrait\" (optional, defaults to \"square\")\n* `:rounded` - Whether to round image corners (optional, defaults to true)\n* `:enable_lightbox` - Whether to enable lightbox preview (optional, defaults to false)\n* `:class` - Additional CSS classes for the gallery container (optional)\n* `:image_class` - CSS classes for the images (optional)","ref":"PineUiPhoenix.Gallery.html#grid/1-options"},{"type":"function","title":"PineUiPhoenix.Gallery.masonry/1","doc":"Renders a masonry gallery component.\n\nThis component creates a masonry layout for displaying images of varying heights.","ref":"PineUiPhoenix.Gallery.html#masonry/1"},{"type":"function","title":"Examples - PineUiPhoenix.Gallery.masonry/1","doc":"<.masonry\n      images={[\n        %{src: \"/images/photo1.jpg\", alt: \"Photo 1\", height: \"md\"},\n        %{src: \"/images/photo2.jpg\", alt: \"Photo 2\", height: \"lg\"},\n        %{src: \"/images/photo3.jpg\", alt: \"Photo 3\", height: \"sm\"}\n      ]}\n    />","ref":"PineUiPhoenix.Gallery.html#masonry/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Gallery.masonry/1","doc":"* `:images` - List of image maps with src, alt, and optional height keys (required)\n* `:columns` - Number of columns in the layout: 1, 2, 3, 4 (optional, defaults to 3)\n* `:gap` - Gap size between items: \"1\", \"2\", \"4\", \"6\", \"8\" (optional, defaults to \"4\")\n* `:rounded` - Whether to round image corners (optional, defaults to true)\n* `:enable_lightbox` - Whether to enable lightbox preview (optional, defaults to false)\n* `:class` - Additional CSS classes for the gallery container (optional)\n* `:image_class` - CSS classes for the images (optional)","ref":"PineUiPhoenix.Gallery.html#masonry/1-options"},{"type":"module","title":"PineUiPhoenix.DatePicker","doc":"Provides date picker components for selecting dates and date ranges.\n\nThe DatePicker module offers components for selecting single dates\nand date ranges with calendar interfaces.","ref":"PineUiPhoenix.DatePicker.html"},{"type":"function","title":"PineUiPhoenix.DatePicker.basic/1","doc":"Renders a basic date picker component.\n\nThis component creates a date picker for selecting a single date.","ref":"PineUiPhoenix.DatePicker.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.DatePicker.basic/1","doc":"<.basic\n      id=\"event-date\"\n      name=\"event[date]\"\n      label=\"Event Date\"\n    />\n\n    <.basic\n      id=\"appointment-date\"\n      name=\"appointment[date]\"\n      label=\"Appointment Date\"\n      min=\"2023-01-01\"\n      max=\"2023-12-31\"\n      format=\"MM/DD/YYYY\"\n      value=\"2023-06-15\"\n    />","ref":"PineUiPhoenix.DatePicker.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.DatePicker.basic/1","doc":"* `:id` - The ID for the input element (required)\n* `:name` - The name attribute for the input (optional, defaults to ID)\n* `:label` - Label text for the input (optional)\n* `:value` - Current date value in ISO format (YYYY-MM-DD) (optional)\n* `:min` - Minimum selectable date in ISO format (optional)\n* `:max` - Maximum selectable date in ISO format (optional)\n* `:format` - Date display format: \"YYYY-MM-DD\", \"MM/DD/YYYY\", \"DD/MM/YYYY\" (optional, defaults to \"YYYY-MM-DD\")\n* `:placeholder` - Placeholder text when no date is selected (optional)\n* `:hint` - Help text displayed below the input (optional)\n* `:error` - Error message displayed below the input (optional)\n* `:disabled` - Whether the input is disabled (optional, defaults to false)\n* `:required` - Whether the input is required (optional, defaults to false)\n* `:class` - Additional CSS classes for the container (optional)\n* `:input_class` - CSS classes for the input element (optional)\n* `:calendar_class` - CSS classes for the calendar dropdown (optional)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)","ref":"PineUiPhoenix.DatePicker.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.DatePicker.range/1","doc":"Renders a date range picker component.\n\nThis component creates a date picker for selecting a start and end date range.","ref":"PineUiPhoenix.DatePicker.html#range/1"},{"type":"function","title":"Examples - PineUiPhoenix.DatePicker.range/1","doc":"<.range\n      id=\"date-range\"\n      name_start=\"start_date\"\n      name_end=\"end_date\"\n      label=\"Date Range\"\n    />\n\n    <.range\n      id=\"booking\"\n      name_start=\"booking[start_date]\"\n      name_end=\"booking[end_date]\"\n      label=\"Booking Period\"\n      value_start=\"2023-06-15\"\n      value_end=\"2023-06-30\"\n      min=\"2023-01-01\"\n      max=\"2023-12-31\"\n    />","ref":"PineUiPhoenix.DatePicker.html#range/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.DatePicker.range/1","doc":"* `:id` - The ID prefix for the input elements (required)\n* `:name_start` - The name attribute for the start date input (required)\n* `:name_end` - The name attribute for the end date input (required)\n* `:label` - Label text for the input (optional)\n* `:value_start` - Current start date value in ISO format (optional)\n* `:value_end` - Current end date value in ISO format (optional)\n* `:min` - Minimum selectable date in ISO format (optional)\n* `:max` - Maximum selectable date in ISO format (optional)\n* `:format` - Date display format: \"YYYY-MM-DD\", \"MM/DD/YYYY\", \"DD/MM/YYYY\" (optional, defaults to \"YYYY-MM-DD\")\n* `:placeholder_start` - Placeholder text for start date input (optional)\n* `:placeholder_end` - Placeholder text for end date input (optional)\n* `:hint` - Help text displayed below the input (optional)\n* `:error` - Error message displayed below the input (optional)\n* `:disabled` - Whether the inputs are disabled (optional, defaults to false)\n* `:required` - Whether the inputs are required (optional, defaults to false)\n* `:class` - Additional CSS classes for the container (optional)\n* `:input_class` - CSS classes for the input elements (optional)\n* `:calendar_class` - CSS classes for the calendar dropdown (optional)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)","ref":"PineUiPhoenix.DatePicker.html#range/1-options"},{"type":"module","title":"PineUiPhoenix.FileUploader","doc":"Provides file upload components with drag-and-drop functionality.\n\nThe FileUploader module offers components for file uploads with support for\ndrag-and-drop, file previews, and multiple file selection.","ref":"PineUiPhoenix.FileUploader.html"},{"type":"function","title":"PineUiPhoenix.FileUploader.basic/1","doc":"Renders a basic file uploader component.\n\nThis component creates a file upload area with drag-and-drop functionality.","ref":"PineUiPhoenix.FileUploader.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.FileUploader.basic/1","doc":"<.basic\n      id=\"document-upload\"\n      name=\"document\"\n      label=\"Upload Document\"\n      accept=\".pdf,.doc,.docx\"\n    />\n\n    <.basic\n      id=\"profile-image\"\n      name=\"profile_image\"\n      label=\"Upload Profile Image\"\n      accept=\"image/*\"\n      max_file_size={5 * 1024 * 1024}\n      show_preview={true}\n    />","ref":"PineUiPhoenix.FileUploader.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.FileUploader.basic/1","doc":"* `:id` - The ID for the file input (required)\n* `:name` - The name attribute for the file input (optional, defaults to ID)\n* `:label` - Label text for the uploader (optional)\n* `:accept` - Comma-separated list of allowed file types (optional)\n* `:max_file_size` - Maximum file size in bytes (optional)\n* `:multiple` - Whether to allow multiple file selection (optional, defaults to false)\n* `:show_preview` - Whether to show file previews (optional, defaults to false for multiple files, true for single files)\n* `:class` - Additional CSS classes for the uploader container (optional)\n* `:on_change` - JavaScript function to call when files change (optional)","ref":"PineUiPhoenix.FileUploader.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.FileUploader.image/1","doc":"Renders an image uploader with cropping capability.\n\nThis component creates an uploader specifically for images with\nbuilt-in preview and optional cropping functionality.","ref":"PineUiPhoenix.FileUploader.html#image/1"},{"type":"function","title":"Examples - PineUiPhoenix.FileUploader.image/1","doc":"<.image\n      id=\"avatar-upload\"\n      name=\"avatar\"\n      label=\"Upload Avatar\"\n    />\n\n    <.image\n      id=\"cover-photo\"\n      name=\"cover_photo\"\n      label=\"Cover Photo\"\n      aspect_ratio={16/9}\n      allow_cropping={true}\n      preview_height=\"10rem\"\n    />","ref":"PineUiPhoenix.FileUploader.html#image/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.FileUploader.image/1","doc":"* `:id` - The ID for the file input (required)\n* `:name` - The name attribute for the file input (optional, defaults to ID)\n* `:label` - Label text for the uploader (optional)\n* `:accept` - Comma-separated list of allowed image types (optional, defaults to \"image/*\")\n* `:max_file_size` - Maximum file size in bytes (optional)\n* `:aspect_ratio` - Fixed aspect ratio for the image (optional)\n* `:allow_cropping` - Whether to enable image cropping (optional, defaults to false)\n* `:preview_height` - Height of the preview area (optional, defaults to \"12rem\")\n* `:class` - Additional CSS classes for the uploader container (optional)\n* `:on_change` - JavaScript function to call when files change (optional)","ref":"PineUiPhoenix.FileUploader.html#image/1-options"},{"type":"function","title":"PineUiPhoenix.FileUploader.multi/1","doc":"Renders a multi-file uploader component with progress tracking.\n\nThis component creates an uploader that handles multiple files with\nindividual progress tracking for each file.","ref":"PineUiPhoenix.FileUploader.html#multi/1"},{"type":"function","title":"Examples - PineUiPhoenix.FileUploader.multi/1","doc":"<.multi\n      id=\"gallery-upload\"\n      name=\"gallery\"\n      label=\"Upload Images\"\n      accept=\"image/*\"\n      max_files={5}\n    />","ref":"PineUiPhoenix.FileUploader.html#multi/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.FileUploader.multi/1","doc":"* `:id` - The ID for the file input (required)\n* `:name` - The name attribute for the file input (optional, defaults to ID)\n* `:label` - Label text for the uploader (optional)\n* `:accept` - Comma-separated list of allowed file types (optional)\n* `:max_file_size` - Maximum file size in bytes (optional)\n* `:max_files` - Maximum number of files that can be selected (optional)\n* `:show_preview` - Whether to show file previews (optional, defaults to true)\n* `:class` - Additional CSS classes for the uploader container (optional)\n* `:on_change` - JavaScript function to call when files change (optional)","ref":"PineUiPhoenix.FileUploader.html#multi/1-options"},{"type":"module","title":"PineUiPhoenix.Select","doc":"Provides select components for dropdown selections.\n\nThe Select module offers three main variants:\n- `basic/1` - Standard select dropdown\n- `grouped/1` - Select with option groups\n- `searchable/1` - Enhanced select with search functionality","ref":"PineUiPhoenix.Select.html"},{"type":"function","title":"PineUiPhoenix.Select.basic/1","doc":"Renders a basic select dropdown component.","ref":"PineUiPhoenix.Select.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.Select.basic/1","doc":"<.basic\n      id=\"country\"\n      label=\"Country\"\n      options={[{\"us\", \"United States\"}, {\"ca\", \"Canada\"}]}\n      selected=\"us\"\n    />","ref":"PineUiPhoenix.Select.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Select.basic/1","doc":"* `:id` - The ID for the select element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:options` - List of {value, label} tuples for the options (required)\n* `:selected` - The currently selected value (optional)\n* `:placeholder` - Placeholder text for empty selection (optional)\n* `:hint` - Help text displayed below the select (optional)\n* `:error` - Error message displayed below the select (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:class` - Additional CSS classes for the select element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.Select.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.Select.grouped/1","doc":"Renders a select dropdown with option groups.","ref":"PineUiPhoenix.Select.html#grouped/1"},{"type":"function","title":"Examples - PineUiPhoenix.Select.grouped/1","doc":"<.grouped\n      id=\"continent\"\n      label=\"Country\"\n      option_groups={[\n        {\"North America\", [{\"us\", \"United States\"}, {\"ca\", \"Canada\"}]},\n        {\"Europe\", [{\"fr\", \"France\"}, {\"de\", \"Germany\"}]}\n      ]}\n    />","ref":"PineUiPhoenix.Select.html#grouped/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Select.grouped/1","doc":"* `:id` - The ID for the select element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:option_groups` - List of {group_label, options} tuples (required)\n* `:selected` - The currently selected value (optional)\n* `:placeholder` - Placeholder text for empty selection (optional)\n* `:hint` - Help text displayed below the select (optional)\n* `:error` - Error message displayed below the select (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:class` - Additional CSS classes for the select element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.Select.html#grouped/1-options"},{"type":"function","title":"PineUiPhoenix.Select.searchable/1","doc":"Renders a searchable select dropdown with filtering.","ref":"PineUiPhoenix.Select.html#searchable/1"},{"type":"function","title":"Examples - PineUiPhoenix.Select.searchable/1","doc":"<.searchable\n      id=\"country\"\n      label=\"Country\"\n      options={[{\"us\", \"United States\"}, {\"ca\", \"Canada\"}]}\n      placeholder=\"Search...\"\n    />","ref":"PineUiPhoenix.Select.html#searchable/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Select.searchable/1","doc":"* `:id` - The ID for the select element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:options` - List of {value, label} tuples for the options (required)\n* `:selected` - The currently selected value (optional)\n* `:selected_label` - The label for the selected value (optional)\n* `:placeholder` - Placeholder text for the search (optional)\n* `:hint` - Help text displayed below the select (optional)\n* `:error` - Error message displayed below the select (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:class` - Additional CSS classes for the select element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.Select.html#searchable/1-options"},{"type":"module","title":"PineUiPhoenix.TextInput","doc":"Provides text input components for forms and user input.\n\nThe TextInput module offers three main variants:\n\n- `basic/1` - Standard text input with optional prefix/suffix\n- `with_icon/1` - Text input with an icon\n- `textarea/1` - Multiline text input\n\nAll text input components support labels, hints, error messages, and\nare fully integrated with Phoenix LiveView.","ref":"PineUiPhoenix.TextInput.html"},{"type":"module","title":"Examples - PineUiPhoenix.TextInput","doc":"... \"}\n      placeholder=\"Search...\"\n    />","ref":"PineUiPhoenix.TextInput.html#module-examples"},{"type":"module","title":"Accessibility - PineUiPhoenix.TextInput","doc":"All text input components include proper labeling, focus styles, and\nARIA attributes for accessibility.","ref":"PineUiPhoenix.TextInput.html#module-accessibility"},{"type":"function","title":"PineUiPhoenix.TextInput.basic/1","doc":"Renders a basic text input component.\n\nThis component supports various input types and can include prefix/suffix\ntext alongside the input.","ref":"PineUiPhoenix.TextInput.html#basic/1"},{"type":"function","title":"Examples - PineUiPhoenix.TextInput.basic/1","doc":"<.basic id=\"username\" label=\"Username\" />\n\n    <.basic\n      id=\"price\"\n      label=\"Price\"\n      type=\"number\"\n      prefix=\"$\"\n      hint=\"Enter amount in dollars\"\n    />\n\n    <.basic\n      id=\"email\"\n      label=\"Email\"\n      type=\"email\"\n      error=\"Please enter a valid email address\"\n      required={true}\n    />","ref":"PineUiPhoenix.TextInput.html#basic/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.TextInput.basic/1","doc":"* `:id` - The ID for the input element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:type` - Input type (optional, defaults to \"text\")\n* `:value` - Current input value (optional)\n* `:placeholder` - Placeholder text (optional)\n* `:prefix` - Text to display before the input (optional)\n* `:suffix` - Text to display after the input (optional)\n* `:hint` - Help text displayed below the input (optional)\n* `:error` - Error message displayed below the input (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:readonly` - Whether the field is read only (optional, defaults to false)\n* `:autofocus` - Whether the field should autofocus (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)\n* `:phx_focus` - Phoenix focus event name (optional)\n* `:phx_debounce` - Phoenix debounce setting (optional)\n* `:class` - Additional CSS classes for the input element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.TextInput.html#basic/1-options"},{"type":"function","title":"PineUiPhoenix.TextInput.textarea/1","doc":"Renders a textarea component for multiline text input.","ref":"PineUiPhoenix.TextInput.html#textarea/1"},{"type":"function","title":"Examples - PineUiPhoenix.TextInput.textarea/1","doc":"<.textarea\n      id=\"description\"\n      label=\"Description\"\n      rows={4}\n    />\n\n    <.textarea\n      id=\"feedback\"\n      label=\"Your Feedback\"\n      placeholder=\"Tell us what you think...\"\n      hint=\"Your feedback helps us improve our service\"\n      rows={8}\n    />","ref":"PineUiPhoenix.TextInput.html#textarea/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.TextInput.textarea/1","doc":"* `:id` - The ID for the textarea element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:value` - Current textarea value (optional)\n* `:placeholder` - Placeholder text (optional)\n* `:rows` - Number of visible rows (optional, defaults to 4)\n* `:hint` - Help text displayed below the textarea (optional)\n* `:error` - Error message displayed below the textarea (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:readonly` - Whether the field is read only (optional, defaults to false)\n* `:autofocus` - Whether the field should autofocus (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)\n* `:phx_debounce` - Phoenix debounce setting (optional)\n* `:class` - Additional CSS classes for the textarea element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.TextInput.html#textarea/1-options"},{"type":"function","title":"PineUiPhoenix.TextInput.with_icon/1","doc":"Renders a text input with an icon on the left side.\n\nThis component is ideal for search inputs or any field that benefits from\na visual indicator of its purpose.","ref":"PineUiPhoenix.TextInput.html#with_icon/1"},{"type":"function","title":"Examples - PineUiPhoenix.TextInput.with_icon/1","doc":"<.with_icon\n      id=\"search\"\n      icon={~H\"   \"}\n      placeholder=\"Search...\"\n    />\n\n    <.with_icon\n      id=\"email\"\n      icon={~H\" ... \"}\n      label=\"Email\"\n      error={@form.errors[:email]}\n    />","ref":"PineUiPhoenix.TextInput.html#with_icon/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.TextInput.with_icon/1","doc":"* `:id` - The ID for the input element (required)\n* `:name` - The name attribute (optional, defaults to ID)\n* `:label` - Label text (optional)\n* `:icon` - The icon to display (required, as HEEx or HTML string)\n* `:type` - Input type (optional, defaults to \"text\")\n* `:value` - Current input value (optional)\n* `:placeholder` - Placeholder text (optional)\n* `:hint` - Help text displayed below the input (optional)\n* `:error` - Error message displayed below the input (optional)\n* `:required` - Whether the field is required (optional, defaults to false)\n* `:disabled` - Whether the field is disabled (optional, defaults to false)\n* `:readonly` - Whether the field is read only (optional, defaults to false)\n* `:autofocus` - Whether the field should autofocus (optional, defaults to false)\n* `:phx_change` - Phoenix change event name (optional)\n* `:phx_blur` - Phoenix blur event name (optional)\n* `:phx_focus` - Phoenix focus event name (optional)\n* `:phx_debounce` - Phoenix debounce setting (optional)\n* `:class` - Additional CSS classes for the input element (optional)\n* `:container_class` - CSS classes for the container div (optional)","ref":"PineUiPhoenix.TextInput.html#with_icon/1-options"},{"type":"module","title":"PineUiPhoenix.Badge","doc":"Provides badge components for status indicators.\n\nThe Badge module offers several variants for indicating status:\n- `base/1` - Simple colored badge\n- `dot/1` - Badge with a status dot\n- `dismissible/1` - Badge that can be dismissed","ref":"PineUiPhoenix.Badge.html"},{"type":"function","title":"PineUiPhoenix.Badge.base/1","doc":"Renders a basic badge component.","ref":"PineUiPhoenix.Badge.html#base/1"},{"type":"function","title":"Examples - PineUiPhoenix.Badge.base/1","doc":"<.base variant=\"success\">Completed</.base>\n\n    <.base variant=\"warning\" class=\"ml-2\">Pending</.base>","ref":"PineUiPhoenix.Badge.html#base/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Badge.base/1","doc":"* `:variant` - Color variant: \"success\", \"warning\", \"danger\", \"info\", \"purple\", \"pink\", \"indigo\", or \"default\" (gray)\n* `:class` - Additional CSS classes (optional)\n* `:icon` - HTML string for an icon to display before text (optional)","ref":"PineUiPhoenix.Badge.html#base/1-options"},{"type":"function","title":"PineUiPhoenix.Badge.dismissible/1","doc":"Renders a dismissible badge.","ref":"PineUiPhoenix.Badge.html#dismissible/1"},{"type":"function","title":"Examples - PineUiPhoenix.Badge.dismissible/1","doc":"<.dismissible variant=\"info\">New Feature</.dismissible>\n\n    <.dismissible variant=\"purple\" class=\"ml-2\">Beta</.dismissible>","ref":"PineUiPhoenix.Badge.html#dismissible/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Badge.dismissible/1","doc":"* `:variant` - Color variant: \"success\", \"warning\", \"danger\", \"info\", \"purple\", \"pink\", \"indigo\", or \"default\" (gray)\n* `:class` - Additional CSS classes (optional)","ref":"PineUiPhoenix.Badge.html#dismissible/1-options"},{"type":"function","title":"PineUiPhoenix.Badge.dot/1","doc":"Renders a badge with a status dot.","ref":"PineUiPhoenix.Badge.html#dot/1"},{"type":"function","title":"Examples - PineUiPhoenix.Badge.dot/1","doc":"<.dot variant=\"success\">Active</.dot>\n\n    <.dot variant=\"danger\" class=\"ml-2\">Offline</.dot>","ref":"PineUiPhoenix.Badge.html#dot/1-examples"},{"type":"function","title":"Options - PineUiPhoenix.Badge.dot/1","doc":"* `:variant` - Color variant: \"success\", \"warning\", \"danger\", \"info\", \"purple\", \"pink\", \"indigo\", or \"default\" (gray)\n* `:class` - Additional CSS classes (optional)","ref":"PineUiPhoenix.Badge.html#dot/1-options"},{"type":"extras","title":"Overview","doc":"# Pine UI\n\n[![Tailwind CSS](https://img.shields.io/badge/Tailwind_CSS-38B2AC?style=for-the-badge&logo=tailwind-css&logoColor=white)]()\n[![Phoenix Framework](https://img.shields.io/badge/Phoenix_Framework-FD4F00?style=for-the-badge&logo=elixir&logoColor=white)]()\n[![AlpineJS](https://img.shields.io/badge/AlpineJS-8BC0D0?style=for-the-badge&logo=alpinejs&logoColor=white)]()\n\nA comprehensive library of interactive UI components for Phoenix applications built with AlpineJS and TailwindCSS.","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"Add Pine UI to your `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:pine_ui_phoenix, \"~> 0.1.1\"}\n  ]\nend\n```\n\nAfter running `mix deps.get`, make sure your project includes:\n\n1. **TailwindCSS** - For component styling\n2. **AlpineJS** - For component interactivity","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Overview","doc":"Pine UI provides a collection of Phoenix Components that can be used in your HEEx templates. Each component is designed to be customizable and works well with Phoenix LiveView.\n\n```heex\n \n   \n  \n   \n     Pine UI makes it easy to build interactive Phoenix applications. \n    \n     \n       \n        Get Started\n       \n      \n       \n        Documentation\n       \n     \n   \n  \n   \n \n```","ref":"readme.html#usage"},{"type":"extras","title":"Available Components - Overview","doc":"","ref":"readme.html#available-components"},{"type":"extras","title":"Text & Animation - Overview","doc":"- `typing_effect/1` - Creates a typing animation with multiple text items\n- `text_animation_blow/1` - Letter-by-letter animation that scales in\n- `text_animation_fade/1` - Letter-by-letter fade-in animation","ref":"readme.html#text-animation"},{"type":"extras","title":"Interactive Elements - Overview","doc":"- `tooltip/1` - Interactive tooltip with different positions (top, left, right)\n- `button_primary/1` - Primary action button with loading state\n- `button_secondary/1` - Secondary action button with loading state\n- `button_danger/1` - Danger action button with loading state","ref":"readme.html#interactive-elements"},{"type":"extras","title":"Content Organization - Overview","doc":"- `card/1` - Basic card component for content organization\n- `card_interactive/1` - Interactive card with hover effects\n- `card_collapsible/1` - Collapsible card for expandable content","ref":"readme.html#content-organization"},{"type":"extras","title":"Form Elements - Overview","doc":"- `text_input/1` - Basic text input component\n- `text_input_with_icon/1` - Text input with icon\n- `textarea/1` - Multiline text input component\n- `select/1` - Basic select dropdown component\n- `select_grouped/1` - Select dropdown with option groups\n- `select_searchable/1` - Searchable select dropdown with filtering","ref":"readme.html#form-elements"},{"type":"extras","title":"Status Indicators - Overview","doc":"- `badge/1` - Simple badge component with various colors\n- `badge_dot/1` - Badge with dot indicator\n- `badge_dismissible/1` - Badge that can be dismissed/removed","ref":"readme.html#status-indicators"},{"type":"extras","title":"Component Examples - Overview","doc":"","ref":"readme.html#component-examples"},{"type":"extras","title":"Text Animation - Overview","doc":"```heex\n \n\n \n\n \n```","ref":"readme.html#text-animation-1"},{"type":"extras","title":"Buttons - Overview","doc":"```heex\n \n  Save Changes\n \n\n \n  Loading Example\n \n\n \n  Delete\n \n```","ref":"readme.html#buttons"},{"type":"extras","title":"Cards - Overview","doc":"```heex\n \n   Content goes here \n \n\n \n   This card has hover effects \n \n\n \n   This content can be collapsed \n \n```","ref":"readme.html#cards"},{"type":"extras","title":"Form Inputs - Overview","doc":"```heex\n \n\n   \"}\n/>\n\n \n```","ref":"readme.html#form-inputs"},{"type":"extras","title":"Select Inputs - Overview","doc":"```heex\n \n\n \n\n \n```","ref":"readme.html#select-inputs"},{"type":"extras","title":"Badges - Overview","doc":"```heex\n \n  Completed\n \n\n \n  Pending\n \n\n \n  New Feature\n \n```","ref":"readme.html#badges"},{"type":"extras","title":"Roadmap - Overview","doc":"Future components and enhancements:\n\n- [ ] Alert component variants\n- [ ] Avatar with status indicators\n- [ ] Toggle/switch component\n- [ ] Tabs component\n- [ ] Dropdown menu\n- [ ] Table component with sorting and pagination\n- [ ] Accordion component\n- [ ] Progress bar\n- [ ] Modal dialog\n- [ ] Date picker","ref":"readme.html#roadmap"},{"type":"extras","title":"License - Overview","doc":"This project is licensed under the MIT License - see the LICENSE file for details.","ref":"readme.html#license"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c) 2023 James Njovu\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}